<?php include_once('../../../config.php') ?>

<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>Sisplan Web | Cadastro Cadastro Aplicação do PCP</title>
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="../dist/css/adminlte.min.css?versao=3.231.17.1">
  <link rel="stylesheet" href="../plugins/fontawesome-free/css/all.min.css?versao=3.231.17.1">
  <link href='https://fonts.googleapis.com/css?family=Roboto:400,300,500,600,700,400italic' rel='stylesheet' type='text/css'>
  <link rel="stylesheet" type="text/css" href="../dist/css/dataTables.bootstrap4.min.css?versao=3.231.17.1" />
  <link href='../dist/css/bootstrap.min.css?versao=3.231.17.1'>
  <link rel="stylesheet" href="../dist/css/custom.css?versao=3.231.17.1">
  <link rel="stylesheet" href="../dist/css/sisplan.css?versao=3.231.17.1">
  <link rel="stylesheet" type="text/css" href="../plugins/datatables-keytable/css/keyTable.bootstrap4.min.css?versao=3.231.17.1">
  <link rel="stylesheet" type="text/css" href="../dist/css/responsive.bootstrap.min.css?versao=3.231.17.1">
  <link rel="shortcut icon" href="../favicon.ico">
  <link rel="stylesheet" href="../dist/css/cadastro.css?versao=3.231.17.1">
  <link rel="stylesheet" href="../plugins/toastr/toastr.min.css?versao=3.231.17.1">
  <link rel="stylesheet" type="text/css" href="../dist/css/driver.min.css?versao=3.231.17.1" />
  <link rel="stylesheet" href="../dist/css/jquery-ui.css?versao=3.231.17.1">
  <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">
  <style>
    .bordaRadio,
    .bordaCheckbox {
      border: 2px solid #e0e4e6;
      border-radius: 4px;
      padding: 10px 15px 0 10px;
    }
  </style>
</head>

<body class="hold-transition sidebar-mini layout-fixed">
  <div class="wrapper">
    <?php
    include_once('../../../menu.php');
    ?>

    <div id="myModal" class="modal" tabindex="-1" role="dialog">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 id="myModalLabel" class="modal-title"></h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <p id="myModalText"></p>
          </div>
          <div class="modal-footer">
            <button id="btnYes" type="button" class="btn btn-primary">Sim</button>
            <button id="btnNo" type="button" class="btn btn-secondary" data-dismiss="modal">Não</button>
          </div>
        </div>
      </div>
    </div>
    <div class="wrapper">
      <div id="myModal" class="modal" tabindex="-1" role="dialog">
        <div class="modal-dialog" role="document">
          <div class="modal-content">
            <div class="modal-header">
              <h5 id="myModalLabel" class="modal-title"></h5>
              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
              </button>
            </div>
            <div class="modal-body">
              <p id="myModalText"></p>
            </div>
            <div class="modal-footer">
              <button id="btnYes" type="button" class="btn btn-primary">Sim</button>
              <button id="btnNo" type="button" class="btn btn-secondary" data-dismiss="modal">Não</button>
            </div>
          </div>
        </div>
      </div>
      <div class="content-wrapper">
        <div class="content-header">
          <div class="container-fluid">
            <div class="row mb-2">
              <div class="col-sm-6 flex">
                <h1 class="m-0 text-dark"></h1>
              </div>
              <div class="col-sm-6">
                <ol class="breadcrumb float-sm-right">
                  <li class="breadcrumb-item"><a href="./index">Início</a></li>
                  <li class="breadcrumb-item active"><a href="../aplicacao_pcp">Acesso Aplicação do PCP</a></li>
                  <li class="breadcrumb-item active">Aplicação do PCP</li>
                </ol>
              </div>
            </div>
          </div>
          <div class="row justify-content-center mt-0">
            <div class="col-10 text-center p-0 mt-3 mb-2">
              <div class="card px-0 pt-4 pb-0 mt-3 mb-3">
                <div class="card-header text-center flex" style="border: none!important;box-shadow:none!important;">
                  <h2>Cadastro Aplicação do PCP
                    <button type="button" class="btn btn-info btn-sm ml-2" title="Tutorial" style="color: white;" id="tutorial">
                      <i class="fas fa-question-circle"></i>
                    </button>
                  </h2>
                </div>

                <div class="row">
                  <div class="col-md-12 mx-0">
                    <form id="msform">
                      <div class="form-card" id="formcard1" style="min-height: 470px;">
                        <div class="row d-flex justify-content-center">
                          <div class="card col-10" id="campostuto">
                            <div class="card-body" id="conteudo">
                              <div class="row">
                                <div class=" col-xl-9  col-md-12">
                                  <div>
                                    <div class="row">
                                      <div class="col-xl-1  col-md-3">
                                        <fieldset class="form border-Field p-0 form-group">
                                          <label data-error="wrong" data-success="right" for="cbAtivo">Ativo:</label>
                                          <div class="mr-2 mt-2 text-center  ">
                                            <label class="labelCheck ml-2" for="cbAtivo"><input type="checkbox" class="configCheck" id="cbAtivo"></label>
                                          </div>
                                        </fieldset>
                                      </div>
                                      <div class="col-xl-2  col-md-9  form-group">
                                        <label data-error="wrong" data-success="right" for="txtNumero">Código: </label>
                                        <div class="input-group">
                                          <input type="text" class="input-default focus form-control" readonly disabled id="txtNumero" name="txtNumero" placeholder="Código preenchido automaticamente">
                                        </div>
                                      </div>


                                      <div class="col-xl-9  col-md-12 form-group mb-3" style="padding: 0 8px 0 8px!important;">
                                        <label data-error="wrong" data-success="right" for="txtDescricao">Descrição: *</label>
                                        <div class="input-group">
                                          <input type="text" class="input-default focus form-control text-uppercase" id="txtDescricao" name="txtDescricao" class="form-control" placeholder="Descrição" require autofocus>
                                        </div>
                                      </div>
                                    </div>

                                    <div class="row">
                                      <div class="col-12 form-group">
                                        <label data-error="wrong" data-success="right" for="txtTipo">Tipo: </label>
                                        <div class="input-group">
                                          <input type="text" class="input-default focus form-control" id="txtTipo" name="txtTipo" class="form-control" placeholder="TIPO:">
                                          <div class="input-group-append">
                                            <button class="btn bg-danger" id="btnTipo" name="btnTipo" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                            <button class="btn bg-danger" id="btnLimpaTipo" name="btnLimpaTipo" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                          </div>
                                        </div>
                                      </div>
                                    </div>

                                    <div class="row">
                                      <div class="col-12 form-group">
                                        <label data-error="wrong" data-success="right" for="txtGrupo">Grupo:</label>
                                        <div class="input-group">
                                          <input type="text" class="input-default focus form-control text-uppercase" id="txtGrupo" name="txtGrupo" class="form-control" placeholder="Grupo">
                                        </div>
                                      </div>
                                    </div>
                                  </div>
                                </div>

                                <div class="col-xl-3  col-md-12">
                                  <fieldset class="form border-Field form-group ">
                                    <label data-error="wrong" data-success="right" for="txtCBOrcamento">Opções de Orçamento:</label>
                                    <div class="form-row bordaCheckbox bloquear">
                                      <label class="labelCheck ml-2" for="cbCalcConsumo"><input type="checkbox" class="configCheck" id="cbCalcConsumo">&nbsp;&nbsp;Cálculo de Consumo&nbsp;</label>
                                      <label class="labelCheck ml-2" for="cbCarctUnica"><input type="checkbox" class="configCheck" id="cbCarctUnica">&nbsp;&nbsp;Característica Única&nbsp;</label>
                                      <label class="labelCheck ml-2" for="cbConsTecido"><input type="checkbox" class="configCheck" id="cbConsTecido">&nbsp;&nbsp;Considerar Tecido&nbsp;</label>
                                    </div>
                                  </fieldset>
                                </div>

                                <div class="modal-footer p-2 d-flex col-12 mt-3 text-center">
                                  <div class="d-flex">
                                    <button id="btnVoltar" type="button" class="btn btn-secondary btn-sisp">Voltar</button>
                                  </div>
                                  <div class="d-flex">
                                    <button id="btnGravar" type="button" class="btn btn-danger btn-sisp">Gravar</button>
                                  </div>
                                </div>

                              </div>
                            </div>
                          </div>
                    </form>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>


    </div>
  </div>
  <?php
  include_once('../../../footer.php');
  ?>
  <aside class="control-sidebar control-sidebar-dark">
  </aside>
  </div>
  <script src="../plugins/jquery/jquery.min.js?versao=3.231.17.1"></script>
  <script src="../plugins/jquery-ui/jquery-ui.min.js?versao=3.231.17.1"></script>
  <script type="text/javascript" src="../dist/js/jquery.dataTables.js?versao=3.231.17.1"></script>
  <script type="text/javascript" src="../dist/js/dataTables.bootstrap4.min.js?versao=3.231.17.1"></script>
  <script src="../plugins/sweetalert2/sweetalert2.min.js?versao=3.231.17.1"></script>
  <script src="../plugins/toastr/toastr.min.js?versao=3.231.17.1"></script>
  <script>
    $.widget.bridge('uibutton', $.ui.button);
  </script>
  <script src="../plugins/bootstrap/js/bootstrap.bundle.min.js?versao=3.231.17.1"></script>
  <script src="../dist/js/adminlte.min.js?versao=3.231.17.1"></script>
  <script src="../dist/js/requisicoes.js?versao=3.231.17.1"></script>
  <script src="../dist/js/cliente/entidade.js?versao=3.231.17.1"></script>
  <script src="../dist/js/loadingoverlay.min.js?versao=3.231.17.1"></script>
  <script src="../dist/js/valida_cpf_cnpj.js"></script>
  <script src="../plugins/jquery-validation/jquery.validate.min.js?versao=3.231.17.1"></script>
  <script src="../dist/js/sisplan.js?versao=3.231.17.1"></script>
  <script src="../utils/funcoes.js?versao=3.231.17.1"></script>
  <script src="../utils/cookies.js?versao=3.231.17.1"></script>
  <script src="../dist/js/jquery.maskMoney.min.js?versao=3.231.17.1"></script>
  <script src="../dist/js/driver.min.js?versao=3.231.17.1"></script>
  <script src="../dist/js/dataTables.keyTable2.js?versao=3.231.17.1"></script>
  <script type="text/javascript" src="../config.js?versao=3.231.17.1"></script>
  <script>
    $(document).ready(async function() {
      if (getCookie('usuario') == "") {
        window.location.href = `${BASE_URI}/login`;
        return;
      }

      let usuario = getCookie('usuario');
      let empresa = getCookie('empresa');

      ipInterno = IP_INTERNO;
      ipExterno = IP_EXTERNO;
      basicAuth = BASIC_AUTH;

      const temAcesso = await temAcessoTela('APLICACAO_PCP');
      if (!temAcesso.resultado) {
        toastrAcesso(temAcesso, BASE_URI);
        return;
      }

      sArquivo = `${BASE_URI}/pages/aplicacao_pcp/cadastro_aplicacao_pcp/aplicacao_pcp.js?versao=3.231.17.1`;
      insereJavaScriptPagina(sArquivo);

      const nomeTela = ('<?php echo basename(__FILE__) ?>').replace('.php', '');
      habilitaCamposObrigatoriosTela(nomeTela);
    });
  </script>
</body>

</html>