<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>Sisplan Web | Markup
  </title>
  <!-- Tell the browser to be responsive to screen width -->
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css?versao=3.231.23.1">

  <!-- Theme style -->
  <link rel="stylesheet" href="dist/css/adminlte.min.css?versao=3.231.23.1">
  <link rel="stylesheet" href="dist/css/custom.css?versao=3.231.23.1">
  <link rel="stylesheet" href="dist/css/sisplan.css?versao=3.231.23.1">
  <link rel="stylesheet" type="text/css" href="plugins/datatables-keytable/css/keyTable.bootstrap4.min.css?versao=3.231.23.1">
  <!-- Toastr -->
  <link rel="stylesheet" href="plugins/toastr/toastr.min.css?versao=3.231.23.1">
  <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css?versao=3.231.23.1">
  <link rel="shortcut icon" href="favicon.ico">
  <link rel="stylesheet" type="text/css" href="dist/css/driver.min.css?versao=3.231.23.1" />
  <link rel="stylesheet" href="dist/css/jquery-ui.css?versao=3.231.23.1">
  <!-- Google Font: Source Sans Pro -->
  <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">
  <link rel="stylesheet" href="plugins/select2/css/select2.min.css?versao=2.1.7">
  <link rel="stylesheet" href="plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css?versao=2.1.7">
  <link rel="stylesheet" href="plugins/icheck-bootstrap/icheck-bootstrap.min.css?versao=3.227.20.1">


</head>
<style>
  .card {
    box-shadow: none !important;
    border-radius: 0 !important;
    margin-bottom: 0 !important;
  }

  .card-header {
    box-shadow: 0px 1px rgb(0 0 0 / 20%) !important;
  }

  .fa-angle-right,
  .fa-angle-down {
    color: #343a40;
  }

  .card-body {
    margin-left: 0px !important;
    padding-left: 1.25rem !important;
    padding-top: 0px;
    padding-bottom: 0px;
    padding-right: 1.25rem !important;
  }

  .header-content-page .title-page,
  .title-content-page .title,
  .title-page {
    font-size: 20px;
    line-height: normal;
    font-weight: 500;
    color: #343a40;
    margin: 0;
    font-family: Roboto, Arial, sans-serif;
  }

  #DadosGerais>.card,
  #obs>.card {
    background: #f7f7f7;
  }

  .radiosStyle {
    padding-top: 0.5rem;
    border: solid #e0e4e6;
    border-radius: 4px;
    border-width: 2px;
    margin-left: 0%;
  }

  .radiosStyle2 {
    padding-top: 0.5rem;
    border: solid #e0e4e6;
    border-radius: 4px;
    border-width: 2px;
  }

  .bordaProduto {
    padding: 10px;
    border: solid #e0e4e6;
    border-radius: 4px;
    border-width: 2px;
  }

  .select2-container--default .select2-selection--multiple .select2-selection__rendered {
    float: left;
  }

  .border-Field .textoBorda {
    font-size: 1.1em !important;
    text-align: left !important;
    width: auto;
    padding: 0 10px;
    border-bottom: none;
  }

  .border-Field {
    border: 1px solid #fff !important;
    padding: 0 1.0em 1.0em 1.0em !important;
    margin: 0 0 1.0em 0 !important;
    -webkit-box-shadow: 0px 0px 0px 0px #000;
    box-shadow: 0px 0px 0px 0px #000;
  }

  #tabelaEstados_wrapper {
    margin-top: -2px;
  }

  .modalFooterFixo {
    position: fixed;
    bottom: 0;
    left: 0;
    right: 0;
    background-color: #171f21;
    z-index: 999999;
  }

  .content-header {
    margin-bottom: 1% !important;
  }
</style>

<body class="hold-transition sidebar-mini layout-fixed">

  <script type="text/javascript" src="config.js"></script>
  <main class="wrapper">

    <?php
    include_once('../../../menu.php');
    ?>

    <div class="modal fade" id="modalDuplicarMarkup" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="exampleModalLabel">Duplicar Markup</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <div class="col-12">
              <div class="form-group">
                <label for="txtCodigoOrigem">Código de origem</label>
                <div class="input-group">
                  <input type="text" class="input-default focus form-control" aria-describedby="ufError" id="txtCodigoOrigem" name="txtCodigoOrigem" class="form-control" placeholder="Código Origem">
                  <div class="input-group-append">
                    <button class="btn bg-danger" id="btnCodigoOrigem" name="btnCodigoOrigem" data-button="absolute" type="button">
                      <i class="m-0 p-0 fas fa-search"></i>
                    </button>
                    <button class="btn bg-danger" id="btnLimpaCodigoOrigem" type="button">
                      <i class="m-0 p-0 fas fa-trash "></i>
                    </button>
                  </div>
                </div>
                <!-- <small id="codigoOrigemHelp" class="form-text text-muted">Informe o código do registro a ser duplicado.</small> -->
              </div>
              <div class="row">
                <div class="form-group col-3">
                  <label for="txtCodigoDestino">Código:</label>
                  <input type="text" class="form-control input-default" id="txtCodigoDestino" name="codigo">
                </div>
                <div class="form-group col-9">
                  <label for="txtDescricaoDestino">Descrição:</label>
                  <input type="text" class="form-control input-default text-uppercase" id="txtDescricaoDestino" name="descricao">
                </div>
              </div>
            </div>
          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-danger" data-dismiss="modal">Fechar</button>
            <button type="button" id="btnDuplicarMarkup" class="btn btn-primary">Duplicar</button>
          </div>
        </div>
      </div>
    </div>

    <div class="content-wrapper">
      <div class="content-header">
        <div class="container-fluid">
          <div class="row mb-2">
            <div class="col-sm-6">
              <h3 class="col-mb=2"></h3>
            </div>
            <div class="col-sm-6">
              <ol class="breadcrumb float-sm-right">
                <li class="breadcrumb-item"><a href="./index">Início</a></li>
              </ol>
            </div>
          </div>
          <div class="row">
            <div class="col-12">
              <div class="card" style="height:auto;">
                <div class="card-header bg-dark">
                  <div class="col-sm-12 table-responsive card-body">
                    <nav>
                      <div class="nav nav-tabs justify-content-start" id="nav-tab" role="tablist" style="text-decoration: none">
                        <a class="nav-link abaLink" id="tabCadIndices" data-toggle="tab" href="#divCadIndices" role="tab" aria-controls="divCadIndices" aria-selected="true">Cadastro de Índice</a>
                        <a class="nav-link abaLink active" id="tabCadMarkup" data-toggle="tab" href="#divCadMarkup" role="tab" aria-controls="divCadMarkup" aria-selected="false">Markup</a>
                        <a class="nav-link abaLink" id="tabCadTributacao" data-toggle="tab" href="#divCadTributacao" role="tab" aria-controls="divCadTributacao" aria-selected="false">Cadastro de Tributação</a>
                      </div>
                    </nav>
                  </div>
                </div>
                <div class="card-body" style="padding-left: 0rem!important; padding-right: 0rem!important;">
                  <div class="tab-content" id="nav-tabContent">
                    <div class="tab-pane fade active d-none" id="divCadIndices" role="tabpanel" aria-labelledby="divCadIndices">
                      <div class="card card-body" style="padding-top: 10px; padding-bottom: 15px;">
                        <div class="form-row bordaProduto">
                          <div class="col-3 col-lg-3">
                            <label for="txtIndice">Índice: *</label>
                            <div class="input-group">
                              <input type="text" class="input-default focus form-control" readonly disabled aria-describedby="ufError" id="txtIndice" name="txtIndice" class="form-control" placeholder="Gerado automaticamente">
                            </div>
                          </div>
                          <div class="col-7 col-lg-7">
                            <label for="txtIndice">Descrição: *</label>
                            <div class="input-group">
                              <input type="text" class="input-default focus form-control text-uppercase" readonly disabled aria-describedby="ufError" id="txtDescricaoIndice" name="txtDescricaoIndice" class="form-control" placeholder="Descrição">
                            </div>
                          </div>
                          <div class="form-group col-md-2 col-2">
                            <label for="selectTipoIndice">Tipo</label>
                            <div class="relative">
                              <select id="selectTipoIndice" class="input-default focus form-control validate" readonly disabled required="required" name="selectTipoIndice">
                                <option value="0 - INDICE" selected>0 - INDICE</option>
                                <option value="1 - MRG_LUCRO">1 - MRG_LUCRO</option>
                                <option value="2 - ICMS">2 - ICMS</option>
                                <option value="3 - COMISSAO">3 - COMISSAO</option>
                                <option value="4 - FRETE">4 - FRETE</option>
                                <option value="5 - PIS">5 - PIS</option>
                                <option value="6 - COFINS">6 - COFINS</option>
                                <option value="7 - IPI">7 - IPI</option>
                                <option value="8 - D_VENDAS">8 - D_VENDAS</option>
                                <option value="9 - CUSTO_IND">9 - CUSTO_IND</option>
                                <option value="10 - FINANC">10 - FINANC</option>
                                <option value="11 - MARKET">11 - MARKET</option>
                                <option value="12 - CONTR_S">12 - CONTR_S</option>
                                <option value="13 - IRPJ">13 - IRPJ</option>
                              </select>
                            </div>
                          </div>
                          <div class="col-md-12 col-12 table-responsive" style="margin-top: 5px; width:100%;">
                            <table id="tabelaIndice" style="width:100%;" class="table table-sm table-condensed">
                              <thead>
                                <th>Código</th>
                                <th>Descrição</th>
                                <th>Tipo</th>
                                </tr>
                              </thead>
                              <tbody>
                              </tbody>
                            </table>
                          </div>
                        </div>
                        <div class="modal-footer modalFooterFixo">
                          <button type="button" id="btnExcluirIndice" class="btn btn-sisp bg-gradient-danger">Excluir</button>
                          <button type="button" id="btnIncluirIndice" class="btn btn-sisp bg-gradient-success">Incluir</button>
                          <button type="button" id="btnAlterarIndice" class="btn btn-sisp bg-gradient-primary">Alterar</button>
                          <button type="button" id="btnCancelarIndice" class="btn btn-sisp d-none bg-gradient-danger">Cancelar</button>
                          <button type="button" id="btnGravarIndice" class="btn btn-sisp d-none bg-gradient-success">Gravar</button>
                        </div>
                      </div>
                    </div>
                  </div>
                  <div class="tab-content" id="nav-tabContent">
                    <div class="tab-pane fade active" id="divCadMarkup" role="tabpanel" aria-labelledby="divCadMarkup">
                      <div class="card card-body" style="padding-top: 10px; padding-bottom: 15px;">
                        <div class="card card-header" role="tab" id="geral">
                          <a style="width:100%;" data-toggle="collapse" data-parent="#multiCollapseExample1" href="#multiCollapseExample1" aria-expanded="true" aria-controls="collapseOne1">
                            <div class="row">
                              <div style="max-width:20px;margin-top:auto; margin-bottom: auto" class="col-1">
                                <i class="fas fa-angle-down"></i>
                              </div>
                              <div class="col-11">
                                <h4 class="title-page">
                                  Dados Markup
                                </h4>
                              </div>
                            </div>
                          </a>
                        </div>
                        <div class="collapse show" id="multiCollapseExample1">
                          <div class="form-row bordaProduto" id="divGeral">
                            <div class="col-md-8 col-8">
                              <div class="form-row">
                                <div class="form-group col-md-12 col-12" id="codigoInfoTour">
                                  <label for="txtMarkup">Markup:</label>
                                  <div class="input-group">
                                    <input type="text" class="input-default focus form-control controleEdicao" aria-describedby="ufError" id="txtMarkup" name="txtMarkup" class="form-control" placeholder="Markup">
                                    <div class="input-group-append">
                                      <button class="btn bg-danger controleEdicao" id="btnMarkup" name="btnMarkup" data-button="absolute" type="button">
                                        <i class="m-0 p-0 fas fa-search"></i>
                                      </button>
                                      <button class="btn bg-danger controleEdicao" id="btnLimpaMarkup" type="button">
                                        <i class="m-0 p-0 fas fa-trash"></i>
                                      </button>
                                    </div>
                                    <div class="icheck-primary ml-3">
                                      <input type="checkbox" class="form-check-input controleEdicao" id="cbAtivo">
                                      <label class="form-check-label pr-2 mb-1 controleEdicao" for="cbAtivo">Ativo</label>
                                    </div>
                                  </div>
                                </div>
                                <div class="form-group col-md-6 col-6">
                                  <label for="txtDescricao">Cliente Referência:</label>
                                  <div class="input-group">
                                    <input type="text" class="input-default focus form-control controleEdicao" aria-describedby="ufError" id="txtClienteRef" name="txtClienteRef" class="form-control" placeholder="Cliente Referência">
                                    <div class="input-group-append">
                                      <button class="btn bg-danger controleEdicao" id="btnClienteRef" name="btnClienteRef" data-button="absolute" type="button">
                                        <i class="m-0 p-0 fas fa-search"></i>
                                      </button>
                                      <button class="btn bg-danger controleEdicao" id="btnLimpaClienteRef" type="button">
                                        <i class="m-0 p-0 fas fa-trash"></i>
                                      </button>
                                    </div>
                                  </div>
                                </div>
                                <div class="form-group col-md-6 col-6">
                                  <label for="txtDescricao">Representante Referência:</label>
                                  <div class="input-group">
                                    <input type="text" class="input-default focus form-control controleEdicao" aria-describedby="ufError" id="txtRepresentanteRef" name="txtRepresentanteRef" class="form-control" placeholder="Representante Referência">
                                    <div class="input-group-append">
                                      <button class="btn bg-danger controleEdicao" id="btnRepresentanteRef" name="btnRepresentanteRef" data-button="absolute" type="button">
                                        <i class="m-0 p-0 fas fa-search"></i>
                                      </button>
                                      <button class="btn bg-danger controleEdicao" id="btnLimpaRepresentanteRef" type="button">
                                        <i class="m-0 p-0 fas fa-trash"></i>
                                      </button>
                                    </div>
                                  </div>
                                </div>
                                <div class="form-group col-md-12 col-12">
                                  <label for="selectIEDestinatario">Indic. IE do Destin:</label>
                                  <div class="relative">
                                    <select id="selectIEDestinatario" class="input-default focus form-control validate controleEdicao" required="required" name="selectIEDestinatario">
                                      <option value="0" selected>Selecione alguma opção</option>
                                      <option value="1">1=Contribuinte ICMS (informar IE do destinatário)</option>
                                      <option value="2">2=Contribuinte isento de Inscrição no cadastro de Contribuintes do ICMS</option>
                                      <option value="9">9=Não Contribuinte, que pode ou naão possuir Inscrição Estadual no Cadastro de Contribuintes</option>
                                    </select>
                                  </div>
                                </div>
                                <div class="form-group col-md-2 col-2">
                                  <label for="txtJuros">Tx Juros:</label>
                                  <div class="input-group">
                                    <input type="text" class="input-default focus form-control controleEdicao" aria-describedby="ufError" id="txtJuros" name="txtJuros" class="form-control" placeholder="Tx Juros">
                                  </div>
                                </div>
                                <div class="form-group col-md-2 col-2">
                                  <label for="txtDiasPadrao">Dias Padrão:</label>
                                  <div class="input-group">
                                    <input type="text" class="input-default focus form-control controleEdicao" aria-describedby="ufError" id="txtDiasPadrao" name="txtDiasPadrao" class="form-control" placeholder="Dias Padrão">
                                  </div>
                                </div>
                                <div class="form-group col-md-2 col-2">
                                  <label for="txtQuebra">Quebra:</label>
                                  <div class="input-group">
                                    <input type="text" class="input-default focus form-control controleEdicao" aria-describedby="ufError" id="txtQuebra" name="txtQuebra" class="form-control" placeholder="Quebra">
                                  </div>
                                </div>
                                <div class="form-group col-md-2 col-2">
                                  <label for="txtCredImposto">Créd. Imposto:</label>
                                  <div class="input-group">
                                    <input type="text" class="input-default focus form-control controleEdicao" aria-describedby="ufError" id="txtCredImposto" name="txtCredImposto" class="form-control" placeholder="Créd. Imposto Referência">
                                  </div>
                                </div>
                                <div class="form-group col-md-2 col-2">
                                  <label for="txtQtdePecas">Qtde. Peças:</label>
                                  <div class="input-group">
                                    <input type="text" class="input-default focus form-control controleEdicao" aria-describedby="ufError" id="txtQtdePecas" name="txtQtdePecas" class="form-control" placeholder="Qtde. Peças">
                                  </div>
                                </div>
                                <div class="form-group col-md-2 col-2">
                                  <label for="txtFrete">Frete:</label>
                                  <div class="input-group">
                                    <input type="text" class="input-default focus form-control controleEdicao" aria-describedby="ufError" id="txtFrete" name="txtFrete" class="form-control" placeholder="Frete">
                                  </div>
                                </div>
                                <div class="form-group col-8" id="ObservacaoInfoTour">
                                  <label data-error="wrong" data-success="right" for="txtObservacao">Observação:</label>
                                  <div class="input-group">
                                    <textarea style="resize: none" id="txtObservacao" maxlength="1000" placeholder="Observação" class="input-default focus form-control controleEdicao" rows="6"></textarea>
                                  </div>
                                </div>
                                <div class="col-md-4 col-4 mb-0 mt-2">
                                  <fieldset class="form border-Field mb-0 pb-0">
                                    <legend class="textoBorda mb-0 pb-0">Opções</legend>
                                    <div class="">
                                      <div class="icheck-primary controleEdicao">
                                        <input type="checkbox" class="form-check-input controleEdicao" id="cbPadraoMarkup">
                                        <label class="form-check-label pr-2 controleEdicao" for="cbPadraoMarkup">Padrão Markup</label>
                                      </div>
                                      <div class="icheck-primary controleEdicao">
                                        <input type="checkbox" class="form-check-input controleEdicao" id="cbConsumidorFinal">
                                        <label class="form-check-label pr-2 controleEdicao" for="cbConsumidorFinal">Consumidor Final</label>
                                      </div>
                                      <div class="icheck-primary controleEdicao">
                                        <input type="checkbox" class="form-check-input controleEdicao" id="cbCustoIndValor">
                                        <label class="form-check-label pr-2 controleEdicao" for="cbCustoIndValor">Custo Ind. Valor</label>
                                      </div>
                                    </div>
                                  </fieldset>
                                </div>
                              </div>
                            </div>
                            <div class="col-md-4 col-12 table-responsive bordaProduto mt-4" style="width:100%;">
                              <table id="tabelaMarkup" class="table table-sm table-hover table-select table-condensed" style="width:100%;">
                                <thead>
                                  <tr>
                                    <th>MARKUP</th>
                                    <th>DESC_MARKUP</th>
                                  </tr>
                                </thead>
                                <tbody>
                                </tbody>
                              </table>
                            </div>
                          </div>
                        </div>
                        <div class="card card-header" role="tab" id="geral">
                          <a style="width:100%;" data-toggle="collapse" data-parent="#multiCollapseExample2" href="#multiCollapseExample2" aria-expanded="true" aria-controls="collapseOne1">
                            <div class="row">
                              <div style="max-width:20px;margin-top:auto; margin-bottom: auto" class="col-1">
                                <i class="fas fa-angle-down"></i>
                              </div>
                              <div class="col-11">
                                <h4 class="title-page">
                                  Prazos
                                </h4>
                              </div>
                            </div>
                          </a>
                        </div>
                        <div class="collapse" id="multiCollapseExample2">
                          <div class="col-md-4 col-4 form mt-2">
                            <fieldset class="form border-Field mb-0 pb-0">
                              <legend class="textoBorda mb-0 pb-0">Prazos</legend>
                              <div class="form-row">
                                <div class="form-group col-md-12 col-12">
                                  <div class="input-group">
                                    <label for="txtPrazo1" class="mr-2">1º Prazo:</label>
                                    <input type="number" class="input-default focus form-control cPrazo controleEdicao" aria-describedby="ufError" id="txtPrazo1" name="txtPrazo1" class="form-control" placeholder="1º Prazo">
                                  </div>
                                </div>
                                <div class="form-group col-md-12 col-12">
                                  <div class="input-group">
                                    <label for="txtPrazo2" class="mr-2">2º Prazo:</label>
                                    <input type="number" class="input-default focus form-control cPrazo controleEdicao" aria-describedby="ufError" id="txtPrazo2" name="txtPrazo2" class="form-control" placeholder="2º Prazo">
                                  </div>
                                </div>
                                <div class="form-group col-md-12 col-12">
                                  <div class="input-group">
                                    <label for="txtPrazo3" class="mr-2">3º Prazo:</label>
                                    <input type="number" class="input-default focus form-control cPrazo controleEdicao" aria-describedby="ufError" id="txtPrazo3" name="txtPrazo3" class="form-control" placeholder="3º Prazo">
                                  </div>
                                </div>
                                <div class="form-group col-md-12 col-12">
                                  <div class="input-group">
                                    <label for="txtPrazo4" class="mr-2">4º Prazo:</label>
                                    <input type="number" class="input-default focus form-control cPrazo controleEdicao" aria-describedby="ufError" id="txtPrazo4" name="txtPrazo4" class="form-control" placeholder="4º Prazo">
                                  </div>
                                </div>
                                <div class="form-group col-md-12 col-12">
                                  <div class="input-group">
                                    <label for="txtPrazo5" class="mr-2">5º Prazo:</label>
                                    <input type="number" class="input-default focus form-control cPrazo controleEdicao" aria-describedby="ufError" id="txtPrazo5" name="txtPrazo5" class="form-control" placeholder="5º Prazo">
                                  </div>
                                </div>
                                <div class="form-group col-md-12 col-12">
                                  <div class="input-group">
                                    <label for="txtPrazo6" class="mr-2">6º Prazo:</label>
                                    <input type="number" class="input-default focus form-control cPrazo controleEdicao" aria-describedby="ufError" id="txtPrazo6" name="txtPrazo6" class="form-control" placeholder="6º Prazo">
                                  </div>
                                </div>
                                <div class="form-group col-md-12 col-12">
                                  <div class="input-group">
                                    <label for="txtPrazo7" class="mr-2">7º Prazo:</label>
                                    <input type="number" class="input-default focus form-control cPrazo controleEdicao" aria-describedby="ufError" id="txtPrazo7" name="txtPrazo7" class="form-control" placeholder="7º Prazo">
                                  </div>
                                </div>
                              </div>
                            </fieldset>
                          </div>
                          <div class="col-md-4 col-4 form mt-2">
                            <fieldset class="form border-Field mb-0 pb-0">
                              <legend class="textoBorda mb-0 pb-0">Comissão</legend>
                              <div class="form-row">
                                <div class="form-group col-md-12 col-12">
                                  <div class="input-group">
                                    <label for="txtComissao1" class="mr-2">1º Comissão:</label>
                                    <input type="number" class="input-default focus form-control controleEdicao" aria-describedby="ufError" id="txtComissao1" name="txtComissao1" class="form-control" placeholder="1º Comissao">
                                  </div>
                                </div>
                                <div class="form-group col-md-12 col-12">
                                  <div class="input-group">
                                    <label for="txtComissao2" class="mr-2">2º Comissão:</label>
                                    <input type="number" class="input-default focus form-control controleEdicao" aria-describedby="ufError" id="txtComissao2" name="txtComissao2" class="form-control" placeholder="2º Comissao">
                                  </div>
                                </div>
                                <div class="form-group col-md-12 col-12">
                                  <div class="input-group">
                                    <label for="txtComissao3" class="mr-2">3º Comissão:</label>
                                    <input type="number" class="input-default focus form-control controleEdicao" aria-describedby="ufError" id="txtComissao3" name="txtComissao3" class="form-control" placeholder="3º Comissao">
                                  </div>
                                </div>
                                <div class="form-group col-md-12 col-12">
                                  <div class="input-group">
                                    <label for="txtComissao4" class="mr-2">4º Comissão:</label>
                                    <input type="number" class="input-default focus form-control controleEdicao" aria-describedby="ufError" id="txtComissao4" name="txtComissao4" class="form-control" placeholder="4º Comissao">
                                  </div>
                                </div>
                                <div class="form-group col-md-12 col-12">
                                  <div class="input-group">
                                    <label for="txtComissao5" class="mr-2">5º Comissão:</label>
                                    <input type="number" class="input-default focus form-control controleEdicao" aria-describedby="ufError" id="txtComissao5" name="txtComissao5" class="form-control" placeholder="5º Comissao">
                                  </div>
                                </div>
                                <div class="form-group col-md-12 col-12">
                                  <div class="input-group">
                                    <label for="txtComissao6" class="mr-2">6º Comissão:</label>
                                    <input type="number" class="input-default focus form-control controleEdicao" aria-describedby="ufError" id="txtComissao6" name="txtComissao6" class="form-control" placeholder="6º Comissao">
                                  </div>
                                </div>
                              </div>
                            </fieldset>
                          </div>
                          <div class="col-md-4 col-4 form mt-2">
                            <fieldset class="form border-Field mb-0 pb-0">
                              <legend class="textoBorda mb-0 pb-0">Margens de Lucro</legend>
                              <div class="form-row">
                                <div class="form-group col-md-12 col-12">
                                  <div class="input-group">
                                    <label for="txtMargem1" class="mr-2">1º Margem:</label>
                                    <input type="number" class="input-default focus form-control controleEdicao" aria-describedby="ufError" id="txtMargem1" name="txtMargem1" class="form-control" placeholder="1º Margem">
                                  </div>
                                </div>
                                <div class="form-group col-md-12 col-12">
                                  <div class="input-group">
                                    <label for="txtMargem2" class="mr-2">2º Margem:</label>
                                    <input type="number" class="input-default focus form-control controleEdicao" aria-describedby="ufError" id="txtMargem2" name="txtMargem2" class="form-control" placeholder="2º Margem">
                                  </div>
                                </div>
                                <div class="form-group col-md-12 col-12">
                                  <div class="input-group">
                                    <label for="txtMargem3" class="mr-2">3º Margem:</label>
                                    <input type="number" class="input-default focus form-control controleEdicao" aria-describedby="ufError" id="txtMargem3" name="txtMargem3" class="form-control" placeholder="3º Margem">
                                  </div>
                                </div>
                                <div class="form-group col-md-12 col-12">
                                  <div class="input-group">
                                    <label for="txtMargem4" class="mr-2">4º Margem:</label>
                                    <input type="number" class="input-default focus form-control controleEdicao" aria-describedby="ufError" id="txtMargem4" name="txtMargem4" class="form-control" placeholder="4º Margem">
                                  </div>
                                </div>
                                <div class="form-group col-md-12 col-12">
                                  <div class="input-group">
                                    <label for="txtMargem5" class="mr-2">5º Margem:</label>
                                    <input type="number" class="input-default focus form-control controleEdicao" aria-describedby="ufError" id="txtMargem5" name="txtMargem5" class="form-control" placeholder="5º Margem">
                                  </div>
                                </div>
                                <div class="form-group col-md-12 col-12">
                                  <div class="input-group">
                                    <label for="txtMargem6" class="mr-2">6º Margem:</label>
                                    <input type="number" class="input-default focus form-control controleEdicao" aria-describedby="ufError" id="txtMargem6" name="txtMargem6" class="form-control" placeholder="6º Margem">
                                  </div>
                                </div>
                                <div class="form-group col-md-12 col-12">
                                  <div class="input-group">
                                    <label for="txtMargem7" class="mr-2">7º Margem:</label>
                                    <input type="number" class="input-default focus form-control controleEdicao" aria-describedby="ufError" id="txtMargem7" name="txtMargem7" class="form-control" placeholder="7º Margem">
                                  </div>
                                </div>
                              </div>
                            </fieldset>
                          </div>
                        </div>
                        <div class="card card-header" role="tab" id="geral">
                          <a style="width:100%;" data-toggle="collapse" data-parent="#multiCollapseExample3" href="#multiCollapseExample3" aria-expanded="true" aria-controls="collapseOne1">
                            <div class="row">
                              <div style="max-width:20px;margin-top:auto; margin-bottom: auto" class="col-1">
                                <i class="fas fa-angle-down"></i>
                              </div>
                              <div class="col-11">
                                <h4 class="title-page">
                                  Índices
                                </h4>
                              </div>
                            </div>
                          </a>
                        </div>
                        <div class="collapse" id="multiCollapseExample3">
                          <label for="divBusca" style="margin-top: 25px;">Vincular Índices</label>
                          <div class="form-row bordaProduto" id="divBusca">
                            <div class="col-md-12 col-12">
                              <div class="row">
                                <div class="col-8 col-md-8 px-0">
                                  <div class="relative">
                                    <select id="selectTipoIndiceMarkup" class="input-default focus form-control validate controleEdicao" required="required" name="selectTipoIndiceMarkup">
                                    </select>
                                  </div>
                                </div>
                                <div class="col-12 col-lg-2">
                                  <button class="btn bg-danger btn-block controleEdicao" id="btnRemoverIndice" name="btnRemoverIndice" data-button="absolute" type="button">
                                    <label class="m-0 p-0">Remover</label>
                                  </button>
                                </div>
                                <div class="col-12 col-lg-2">
                                  <button class="btn bg-danger btn-block controleEdicao" id="btnIncluirIndiceMarkup" name="btnIncluirIndiceMarkup" data-button="absolute" type="button">
                                    <label class="m-0 p-0">Incluir</label>
                                  </button>
                                </div>
                              </div>
                            </div>
                            <div class="col-md-12 col-12 table-responsive  mt-4">
                              <table id="tabelaIndiceMarkup" class="table table-sm table-hover table-select table-condensed">
                                <thead>
                                  <tr>
                                    <th>Código</th>
                                    <th>Descrição</th>
                                    <th>Nacional</th>
                                    <th>Exportação</th>
                                    <th>Tipo</th>
                                  </tr>
                                </thead>
                                <tbody>
                                </tbody>
                              </table>
                            </div>
                          </div>
                        </div>
                        <div class="card card-header" role="tab" id="geral">
                          <a style="width:100%;" data-toggle="collapse" data-parent="#multiCollapseExample5" href="#multiCollapseExample5" aria-expanded="true" aria-controls="collapseOne1">
                            <div class="row">
                              <div style="max-width:20px;margin-top:auto; margin-bottom: auto" class="col-1">
                                <i class="fas fa-angle-down"></i>
                              </div>
                              <div class="col-11">
                                <h4 class="title-page">
                                  Orçamento
                                </h4>
                              </div>
                            </div>
                          </a>
                        </div>
                        <div class="collapse" id="multiCollapseExample5">
                          <label for="divBusca" style="margin-top: 25px;">Vincular Usuário para Orçamento</label>
                          <div class="form-row bordaProduto" id="divBusca">
                            <div class="col-md-12 col-12">
                              <div class="row">
                                <div class="form-group col-md-8 col-8">
                                  <label for="txtUsuarioOrc">Usuário:</label>
                                  <div class="input-group">
                                    <input type="text" class="input-default focus form-control controleEdicao" aria-describedby="ufError" id="txtUsuarioOrc" name="txtUsuarioOrc" class="form-control" placeholder="Usuário">
                                    <div class="input-group-append">
                                      <button class="btn bg-danger controleEdicao" id="btnUsuarioOrc" name="btnUsuarioOric" data-button="absolute" type="button">
                                        <i class="m-0 p-0 fas fa-search"></i>
                                      </button>
                                      <button class="btn bg-danger controleEdicao" id="btnLimpaUsuarioOrc" type="button">
                                        <i class="m-0 p-0 fas fa-trash"></i>
                                      </button>
                                    </div>
                                  </div>
                                </div>
                                <div class="col-12 col-lg-2 mt-4">
                                  <button class="btn bg-danger btn-block mt-1 controleEdicao" id="btnRemoverUsuario" name="btnRemoverUsuario" data-button="absolute" type="button">
                                    <label class="m-0 p-0">Remover</label>
                                  </button>
                                </div>
                                <div class="col-12 col-lg-2 mt-4">
                                  <button class="btn bg-danger btn-block mt-1 controleEdicao" id="btnIncluirUsuario" name="btnIncluirUsuario" data-button="absolute" type="button">
                                    <label class="m-0 p-0">Incluir</label>
                                  </button>
                                </div>
                              </div>
                            </div>
                            <div class="col-md-12 col-12 table-responsive">
                              <table id="tabelaOrcamento" class="table table-sm table-hover table-select table-condensed">
                                <thead>
                                  <tr>
                                    <th>Código</th>
                                    <th>Nome</th>
                                  </tr>
                                </thead>
                                <tbody>
                                </tbody>
                              </table>
                            </div>
                          </div>
                        </div>
                        <div class="card card-header" role="tab" id="geral">
                          <a style="width:100%;" data-toggle="collapse" data-parent="#multiCollapseExample6" href="#multiCollapseExample6" aria-expanded="true" aria-controls="collapseOne1">
                            <div class="row">
                              <div style="max-width:20px;margin-top:auto; margin-bottom: auto" class="col-1">
                                <i class="fas fa-angle-down"></i>
                              </div>
                              <div class="col-11">
                                <h4 class="title-page">
                                  Grupo Produto
                                </h4>
                              </div>
                            </div>
                          </a>
                        </div>
                        <div class="collapse" id="multiCollapseExample6">
                          <label for="divBusca" style="margin-top: 25px;">Vincular Grupo de Produto</label>
                          <div class="form-row bordaProduto" id="divBusca">
                            <div class="col-md-12 col-12">
                              <div class="row">
                                <div class="form-group col-md-4 col-4">
                                  <label for="txtGrupoProduto">Grupo Produto :</label>
                                  <div class="input-group">
                                    <input type="text" class="input-default focus form-control controleEdicao" aria-describedby="ufError" id="txtGrupoProduto" name="txtGrupoProduto" class="form-control" placeholder="Grupo Produto">
                                    <div class="input-group-append">
                                      <button class="btn bg-danger controleEdicao" id="btnGrupoProduto" name="btnGrupoProduto" data-button="absolute" type="button">
                                        <i class="m-0 p-0 fas fa-search"></i>
                                      </button>
                                      <button class="btn bg-danger controleEdicao" id="btnLimpaGrupoProduto" type="button">
                                        <i class="m-0 p-0 fas fa-trash "></i>
                                      </button>
                                    </div>
                                  </div>
                                </div>
                                <div class="form-group col-md-2 col-2">
                                  <label for="txtQtdeDe">De :</label>
                                  <div class="input-group">
                                    <input type="text" class="input-default focus form-control controleEdicao" aria-describedby="ufError" id="txtQtdeDe" name="txtQtdeDe" class="form-control" placeholder="De">
                                  </div>
                                </div>
                                <div class="form-group col-md-2 col-2">
                                  <label for="txtQtdeAte">Até :</label>
                                  <div class="input-group">
                                    <input type="text" class="input-default focus form-control controleEdicao" aria-describedby="ufError" id="txtQtdeAte" name="txtQtdeAte" class="form-control" placeholder="Até">
                                  </div>
                                </div>
                                <div class="col-12 col-lg-2 mt-4">
                                  <button class="btn bg-danger btn-block mt-1 controleEdicao" id="btnRemoverGrupoProduto" name="btnRemoverGrupoProduto" data-button="absolute" type="button">
                                    <label class="m-0 p-0">Remover</label>
                                  </button>
                                </div>
                                <div class="col-12 col-lg-2 mt-4 controleEdicao">
                                  <button class="btn bg-danger btn-block mt-1 controleEdicao" id="btnIncluirGrupoProduto" name="btnIncluirGrupoProduto" data-button="absolute" type="button">
                                    <label class="m-0 p-0">Incluir</label>
                                  </button>
                                </div>
                              </div>
                            </div>
                            <div class="col-md-12 col-12 table-responsive">
                              <table id="tabelaGrupoProduto" class="table table-sm table-hover table-select table-condensed">
                                <thead>
                                  <tr>
                                    <th>Markup</th>
                                    <th>Grupo</th>
                                    <th>Desc_Grupo</th>
                                    <th>Qtde_De</th>
                                    <th>Qtde_Ate</th>
                                  </tr>
                                </thead>
                                <tbody>
                                </tbody>
                              </table>
                            </div>
                          </div>
                        </div>
                        <div class="card card-header" role="tab" id="geral">
                          <a style="width:100%;" data-toggle="collapse" data-parent="#multiCollapseExample4" href="#multiCollapseExample4" aria-expanded="true" aria-controls="collapseOne1">
                            <div class="row">
                              <div style="max-width:20px;margin-top:auto; margin-bottom: auto" class="col-1">
                                <i class="fas fa-angle-down"></i>
                              </div>
                              <div class="col-11">
                                <h4 class="title-page">
                                  Markup por Estados
                                </h4>
                              </div>
                            </div>
                          </a>
                        </div>
                        <div class="collapse" id="multiCollapseExample4">
                          <label for="divBusca" style="margin-top: 25px;">Vincular Estados</label>
                          <div class="form-row bordaProduto pt-0 px-0" id="divBusca">
                            <div class="col-md-12 col-12 table-responsive">
                              <table id="tabelaEstados" class="table table-sm table-hover table-select table-condensed">
                                <thead>
                                  <tr>
                                    <th>SEL</th>
                                    <th>Estado</th>
                                  </tr>
                                </thead>
                                <tbody>
                                </tbody>
                              </table>
                            </div>
                          </div>
                        </div>
                        <div class="modal-footer modalFooterFixo">
                          <button type="button" id="btnExcluirMarkup" class="btn btn-sisp bg-gradient-danger">Excluir</button>
                          <button type="button" id="btnModalDuplicaMarkup" class="btn btn-success btn-sisp">Duplicar</button>
                          <button type="button" id="btnManutencaoMarkup" class="btn btn-sisp bg-gradient-primary">Manutenção</button>
                          <button type="button" id="btnCancelarMarkup" class="btn btn-sisp bg-gradient-danger d-none">Cancelar</button>
                          <button type="button" id="btnGravarMarkup" class="btn btn-sisp bg-gradient-success d-none">Gravar</button>
                        </div>
                      </div>
                    </div>
                  </div>
                  <div class="tab-content" id="nav-tabContent">
                    <div class="tab-pane fade active d-none" id="divCadTributacao" role="tabpanel" aria-labelledby="divCadTributacao">
                      <div class="card-body" style="padding-left: 0rem!important; padding-right: 0rem!important;">
                        <div class="card card-body" style="padding-top: 10px; padding-bottom: 15px;">
                          <div class="tab-pane fade show active bordaProduto" role="tabpanel" aria-labelledby="dados-tab">
                            <div class="col-md-8 col-8">
                              <fieldset class="form border-Field mb-0 pb-0">
                                <legend class="textoBorda mb-0 pb-0">Índices</legend>
                                <div class="row">
                                  <div class="col-6 col-lg-6 d-none">
                                    <label for="txtId">Id:</label>
                                    <div class="input-group">
                                      <input type="number" class="input-default focus form-control" aria-describedby="ufError" id="txtId" name="txtId" class="form-control">
                                    </div>
                                  </div>
                                  <div class="col-6 col-lg-6">
                                    <label for="txtDolar">Dólar:</label>
                                    <div class="input-group">
                                      <input type="number" class="input-default focus form-control controlaEdicaoTrib" aria-describedby="ufError" disabled readonly id="txtDolar" name="txtDolar" class="form-control" placeholder="Dólar">
                                      <div class="input-group-append">
                                        <button class="btn bg-danger controlaEdicaoTrib" disabled readonly id="btnLimpaDolar" type="button">
                                          <i class="m-0 p-0 fas fa-trash"></i>
                                        </button>
                                      </div>
                                    </div>
                                  </div>
                                  <div class="col-6 col-lg-6">
                                    <label for="txtEuro">Euro:</label>
                                    <div class="input-group">
                                      <input type="number" class="input-default focus form-control controlaEdicaoTrib" aria-describedby="ufError" disabled readonly id="txtEuro" name="txtEuro" class="form-control" placeholder="Euro">
                                      <div class="input-group-append">
                                        <button class="btn bg-danger controlaEdicaoTrib" disabled readonly id="btnLimpaEuro" type="button">
                                          <i class="m-0 p-0 fas fa-trash"></i>
                                        </button>
                                      </div>
                                    </div>
                                  </div>
                                  <div class="col-6 col-lg-6">
                                    <label for="txtIndiceTrib">Indice:</label>
                                    <div class="input-group">
                                      <input type="number" class="input-default focus form-control controlaEdicaoTrib" aria-describedby="ufError" disabled readonly id="txtIndiceTrib" name="txtIndiceTrib" class="form-control" placeholder="Índice">
                                      <div class="input-group-append">
                                        <button class="btn bg-danger controlaEdicaoTrib" disabled readonly id="btnLimpaIndice" type="button">
                                          <i class="m-0 p-0 fas fa-trash"></i>
                                        </button>
                                      </div>
                                    </div>
                                  </div>
                                  <div class="col-6 col-lg-6">
                                    <label for="txtFixo">Fixo:</label>
                                    <div class="input-group">
                                      <input type="number" class="input-default focus form-control controlaEdicaoTrib" aria-describedby="ufError" disabled readonly id="txtFixo" name="txtFixo" class="form-control" placeholder="Fixo">
                                      <div class="input-group-append">
                                        <button class="btn bg-danger controlaEdicaoTrib" disabled readonly id="btnLimpaFixo" type="button">
                                          <i class="m-0 p-0 fas fa-trash"></i>
                                        </button>
                                      </div>
                                    </div>
                                  </div>
                                </div>
                              </fieldset>
                            </div>
                            <div class="col-md-4 col-4 mb-0">
                              <fieldset class="form border-Field mb-0 pb-0">
                                <legend class="textoBorda mb-0 pb-0">Crédito Tributação</legend>
                                <div class="">
                                  <div class="icheck-primary">
                                    <input type="checkbox" class="form-check-input controlaEdicaoTrib" disabled readonly id="cbCOFINS">
                                    <label class="form-check-label pr-2 mb-1" for="cbCOFINS">COFINS</label>
                                  </div>
                                  <div class="icheck-primary">
                                    <input type="checkbox" class="form-check-input controlaEdicaoTrib" disabled readonly id="cbICMS">
                                    <label class="form-check-label pr-2 mb-1" for="cbICMS">ICMS</label>
                                  </div>
                                  <div class="icheck-primary">
                                    <input type="checkbox" class="form-check-input controlaEdicaoTrib" disabled readonly id="cbIPI">
                                    <label class="form-check-label pr-2 mb-1" for="cbIPI">IPI</label>
                                  </div>
                                  <div class="icheck-primary">
                                    <input type="checkbox" class="form-check-input controlaEdicaoTrib" disabled readonly id="cbPIS">
                                    <label class="form-check-label pr-2 mb-1" for="cbPIS">PIS</label>
                                  </div>
                                </div>
                              </fieldset>
                            </div>
                            <div class="col-md-12 col-12 table-responsive" style="margin-top: 5px">
                              <table id="tabelaTributacao" style="width:100%;" class="table table-sm table-hover table-select table-condensed">
                                <thead>
                                  <th>DOLAR</th>
                                  <th>FIXO</th>
                                  <th>INDICE</th>
                                  <th>EURO</th>
                                  <th>ID</th>
                                  </tr>
                                </thead>
                                <tbody>
                                </tbody>
                              </table>
                            </div>
                          </div>
                          <div class="modal-footer modalFooterFixo">
                            <button type="button" id="btnExcluirTrib" class="btn btn-sisp bg-gradient-danger">Excluir</button>
                            <button type="button" id="btnIncluirTrib" class="btn btn-sisp bg-gradient-success">Incluir</button>
                            <button type="button" id="btnAlterarTrib" class="btn btn-sisp bg-gradient-primary">Alterar</button>
                            <button type="button" id="btnCancelarTrib" class="btn btn-sisp d-none bg-gradient-danger">Cancelar</button>
                            <button type="button" id="btnGravarTrib" class="btn btn-sisp d-none bg-gradient-success">Gravar</button>
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    </div>

    <!-- Control Sidebar -->
    <aside class="control-sidebar control-sidebar-dark">
      <!-- Control sidebar content goes here -->
    </aside><!-- /.control-sidebar -->
    <?php
    include_once('../../../footer.php');
    ?>
  </main>

  <script src="plugins/jquery/jquery.min.js?versao=3.231.23.1"></script>
  <script src="dist/js/jquery.maskMoney.min.js?versao=3.231.23.1"></script>
  <script src="plugins/jquery-ui/jquery-ui.min.js?versao=3.231.23.1"></script>
  <script type="text/javascript" src="dist/js/jquery.dataTables.js?versao=3.231.23.1"></script>
  <script type="text/javascript" src="dist/js/dataTables.bootstrap4.min.js?versao=3.231.23.1"></script>
  <script src="plugins/sweetalert2/sweetalert2.min.js?versao=3.231.23.1"></script>
  <script src="plugins/toastr/toastr.min.js?versao=3.231.23.1"></script>
  <script>
    $.widget.bridge('uibutton', $.ui.button);
  </script>
  <script src="plugins/bootstrap/js/bootstrap.bundle.min.js?versao=3.231.23.1"></script>
  <script src="dist/js/adminlte.min.js?versao=3.231.23.1"></script>
  <script src="dist/js/requisicoes.js?versao=3.231.23.1"></script>
  <script src="dist/js/loadingoverlay.min.js?versao=3.231.23.1"></script>
  <script src="dist/js/valida_cpf_cnpj.js?versao=3.231.23.1"></script>
  <script src="plugins/jquery-validation/jquery.validate.min.js?versao=3.231.23.1"></script>
  <script src="dist/js/dataTables.keyTable.js?versao=3.231.23.1"></script>
  <script src="dist/js/sisplan.js?versao=3.231.23.1"></script>
  <script src="utils/funcoes.js?versao=3.231.23.1"></script>
  <script src="utils/cookies.js?versao=3.231.23.1"></script>
  <script src="dist/js/driver.min.js?versao=3.231.23.1"></script>
  <script src="plugins/select2/js/select2.full.min.js?versao=2.1.7"></script>

  <script>
    $(document).ready(async function() {
      if (getCookie('usuario') == "") {
        window.location.href = `${BASE_URI}/login`;
        return;
      }

      let usuario = getCookie('usuario');
      let empresa = getCookie('empresa');

      ipInterno = IP_INTERNO;
      ipExterno = IP_EXTERNO;
      basicAuth = BASIC_AUTH;
      sArquivo = `${BASE_URI}/pages/cadmarkup/cadastro_cadmarkup/cadmarkup.js?versao=3.231.23.1`;
      const nomeTela = ('<?php echo basename(__FILE__) ?>').replace('.php', '');

      const temAcesso = await temAcessoTela('CADMARKUP');
      if (!temAcesso.resultado) {
        toastrAcesso(temAcesso, BASE_URI);
        return;
      }

      const permissaoUsuarioLogado = await permissaoAcessos("CADMARKUP");

      if (permissaoUsuarioLogado.INCLUI == 'N') {
        await criaMensagemErro("Sem permissão para incluir!", () => {
          window.location.href = `${BASE_URI}/cadmarkup`
        });
        return;
      }

      await insereJavaScriptPagina(sArquivo);

      habilitaCamposObrigatoriosTela(nomeTela);
    });
  </script>
</body>

</html>