<?php include_once('../../../config.php') ?>

<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>Sisplan Web | Empresa</title>
  <!-- Tell the browser to be responsive to screen width -->
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css?versao=3.232.21.1">
  <!-- Theme style -->
  <link rel="stylesheet" href="dist/css/adminlte.min.css?versao=3.232.21.1">

  <!-- Google Font: Source Sans Pro -->
  <link href='https://fonts.googleapis.com/css?family=Roboto:400,300,500,600,700,400italic' rel='stylesheet' type='text/css'>


  <link rel="stylesheet" href="dist/css/custom.css?versao=3.232.21.1">
  <link rel="stylesheet" href="dist/css/sisplan.css?versao=3.232.21.1">
  <link rel="stylesheet" type="text/css" href="dist/css/dataTables.bootstrap4.min.css?versao=3.232.21.1" />
  <link rel="stylesheet" href="plugins/toastr/toastr.min.css?versao=3.232.21.1">
  <link rel="shortcut icon" href="favicon.ico">
  <link rel="stylesheet" type="text/css" href="dist/css/driver.min.css?versao=3.232.21.1" />
  <link rel="stylesheet" href="dist/css/jquery-ui.css?versao=3.232.21.1">
</head>

<body class="hold-transition sidebar-mini layout-fixed">
  <div class="wrapper">
    <?php
    include_once('../../../menu.php');
    ?>
    <div class="content-wrapper">
      <div class="content-header">
        <div class="container-fluid">
          <div class="row mb-2">
            <div class="col-sm-6 flex">
              <h1 class="m-0 text-dark">Empresa</h1>
            </div>
            <div class="col-sm-6">
              <ol class="breadcrumb float-sm-right">
                <li class="breadcrumb-item"><a href="./index">Início</a></li>
                <li class="breadcrumb-item active">Sistema</li>
                <li class="breadcrumb-item active">Cad. de Empresa</li>
              </ol>
            </div><!-- /.col -->
          </div><!-- /.row -->
        </div>
        <div class="container-fluid" id="tabelaRegiaoForne">
          <div class="row card">
            <div class="col-sm-12 table-responsive card-body">
              <h5>Lista de Empresas </h5>
              <table id="tabelaEmpresas" class="table table-sm table-select table-hover" width="100%">
                <thead>
                  <tr>
                    <th class="th-sm">Código
                    </th>
                    <th class="th-sm">Nome
                    </th>
                    <th class="th-sm">Fantasia
                    </th>
                    <th class="th-sm">Cnpj
                    </th>
                    <th class="th-sm">ID
                    </th>
                  </tr>
                </thead>
                <tbody>
                </tbody>
              </table>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <?php
  include_once('../../../footer.php');
  ?>
  <aside class="control-sidebar control-sidebar-dark">
  </aside>
  </div>
  <script type="text/javascript" src="config.js?versao=3.232.21.1"></script>
  <script src="plugins/jquery/jquery.min.js?versao=3.232.21.1"></script>
  <script type="text/javascript" src="dist/js/jquery.dataTables.js?versao=3.232.21.1"></script>
  <script type="text/javascript" src="dist/js/dataTables.bootstrap4.min.js?versao=3.232.21.1"></script>
  <script src="plugins/jquery-ui/jquery-ui.min.js?versao=3.232.21.1"></script>
  <script>
    $.widget.bridge('uibutton', $.ui.button);
  </script>
  <script src="plugins/bootstrap/js/bootstrap.bundle.min.js?versao=3.232.21.1"></script>
  <script src="dist/js/adminlte.min.js?versao=3.232.21.1"></script>
  <script src="dist/js/sisplan.js?versao=3.232.21.1"></script>
  <script src="utils/funcoes.js?versao=3.232.21.1"></script>
  <script src="utils/cookies.js?versao=3.232.21.1"></script>
  <script src="dist/js/requisicoes.js?versao=3.232.21.1"></script>
  <script src="dist/js/loadingoverlay.min.js?versao=3.232.21.1"></script>
  <script src="dist/js/driver.min.js?versao=3.232.21.1"></script>
  <script src="plugins/toastr/toastr.min.js?versao=3.232.21.1"></script>
  <script type="text/javascript" src="dist/js/sum().js?versao=3.232.21.1"></script>
  <script>
    $(document).ready(async function() {
      if (getCookie('usuario') == "") {
        window.location.href = `${BASE_URI}/login`;
        return;
      }

      let usuario = getCookie('usuario');
      let empresa = getCookie('empresa');

      ipInterno = IP_INTERNO;
      ipExterno = IP_EXTERNO;
      basicAuth = BASIC_AUTH;

      const temAcesso = await temAcessoTela('EMPRESA');
      if (!temAcesso.resultado) {
        toastrAcesso(temAcesso, BASE_URI);
        return;
      }

      sArquivo = `${BASE_URI}/pages/empresa/acesso_empresa/acesso_empresa.js?versao=3.232.21.1`;
      insereJavaScriptPagina(sArquivo);
    });
  </script>
</body>

</html>