<?php include_once('../../../config.php') ?>

<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>Sisplan Web | Cadastro de Preço</title>
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="../dist/css/adminlte.min.css?versao=3.232.21.1">
  <link rel="stylesheet" href="../plugins/fontawesome-free/css/all.min.css?versao=3.232.21.1">
  <link href='https://fonts.googleapis.com/css?family=Roboto:400,300,500,600,700,400italic' rel='stylesheet' type='text/css'>
  <link rel="stylesheet" type="text/css" href="../dist/css/dataTables.bootstrap4.min.css?versao=3.232.21.1" />
  <link href='../dist/css/bootstrap.min.css?versao=3.232.21.1'>
  <link rel="stylesheet" href="../dist/css/custom.css?versao=3.232.21.1">
  <link rel="stylesheet" href="../dist/css/sisplan.css?versao=3.232.21.1">
  <link rel="stylesheet" type="text/css" href="../plugins/datatables-keytable/css/keyTable.bootstrap4.min.css?versao=3.232.21.1">
  <link rel="stylesheet" type="text/css" href="../dist/css/responsive.bootstrap.min.css?versao=3.232.21.1">
  <link rel="shortcut icon" href="../favicon.ico">
  <link rel="stylesheet" href="../dist/css/cadastro.css?versao=3.232.21.1">

  <!-- Toastr -->
  <link rel="stylesheet" href="../plugins/toastr/toastr.min.css?versao=3.232.21.1">
  <link rel="stylesheet" type="text/css" href="../dist/css/driver.min.css?versao=3.232.21.1" />
  <link rel="stylesheet" href="../dist/css/jquery-ui.css?versao=3.232.21.1">
  <!-- Google Font: Source Sans Pro -->
  <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">
  <style>
    #progressbar li {
      list-style-type: none;
      font-size: 12px;
      width: 100%;
      float: left;
      position: relative
    }

    .labelGeral {
      margin-top: 7px;
      margin-bottom: 3px;
    }

    .labelCheck {
      font-size: 120%;
      /* border-bottom: outset 2px;
            border-left: outset 2px; */
      padding: 0.2%;
      margin-left: 1%;
    }

    .configCheck {
      -ms-transform: scale(1.5);
      -moz-transform: scale(1.5);
      -webkit-transform: scale(1.5);
      -o-transform: scale(1.5);
      transform: scale(1.5);
      padding: 10px;
    }

    .radioTipo {
      font-size: 120%;
    }

    .bTipo {
      position: absolute;
      margin-bottom: 50%;
      font-size: 120%;
      font-weight: bolder;
    }

    .pTipo {
      margin-top: 2%;
      margin-left: -1%;
      margin-bottom: 0%;
    }

    .pCartao {
      margin-left: -1%;
      margin-bottom: 0%;
      margin-top: 2%;
    }

    .valMin {
      margin-top: 2%;
    }

    .frete {
      margin-top: 2%;
      margin-left: 0.1%;
    }

    #contas-wrap {
      margin-top: 0%;
    }

    #labelcontas {
      margin-top: 2%;
    }

    .radioTop {
      margin-left: 2%;
      margin-top: 2%;
      padding-left: 1%;
      padding-top: 1%;
      padding-right: 1%;
      padding-bottom: 0%;
    }

    .labelFonte {
      font-size: 100%;
      margin-top: 20%;
    }

    .radiosStyle {
      margin-top: 0%;
      border: solid #e0e4e6;
      border-radius: 4px;
      border-width: 2px;
      margin-left: 0%;
    }

    .checkboxMoeda {
      border: solid #e0e4e6;
      border-radius: 4px;
      border-width: 2px;
      padding-top: 3.9%;
      padding-bottom: 2.3%;
    }

    .checkboxTipo {
      margin-left: 0.1%;
      border: solid #e0e4e6;
      border-radius: 4px;
      border-width: 2px;
      padding-top: 1%;
      padding-bottom: 0%;
    }

    .labelTipo {
      margin-bottom: 3px;
    }

    #txtTipoTabela {
      size: 100%;
    }


    .labelTabPreco {
      margin-top: 2.5%;
      margin-left: 5%;
    }

    .bordaTab {
      border: solid #e0e4e6;
      border-radius: 4px;
      border-width: 2px;
      width: 100%;
    }
  </style>
</head>

<body class="hold-transition sidebar-mini layout-fixed">
  <div class="wrapper">
    <?php
    include_once('../../../menu.php');
    ?>
    <div id="myModal" class="modal" tabindex="-1" role="dialog">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 id="myModalLabel" class="modal-title"></h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <p id="myModalText"></p>
          </div>
          <div class="modal-footer">
            <button id="btnYes" type="button" class="btn btn-primary">Sim</button>
            <button id="btnNo" type="button" class="btn btn-secondary" data-dismiss="modal">Não</button>
          </div>
        </div>
      </div>
    </div>
    <div class="content-wrapper">
      <section class="content">
        <div class="content-header">
          <div class="container-fluid">
            <div class="row mb-2">
              <div class="col-sm-6 flex">
              </div>
              <div class="col-sm-6">
                <ol class="breadcrumb float-sm-right">
                  <li class="breadcrumb-item"><a href="./index">Início</a></li>
                  <li class="breadcrumb-item"><a href="../preco">Acesso Preço</a></li>
                  <li class="breadcrumb-item active">Cadastro de Preço</li>
                </ol>
              </div><!-- /.col -->
            </div><!-- /.row -->
          </div>
          <div class="row justify-content-center mt-0">
            <div class="col-10 text-center p-0 mt-3 mb-2">
              <div class="card px-0 pt-4 pb-0 mt-3 mb-3">
                <div class="card-header text-center flex" style="border: none!important;box-shadow:none!important;">
                  <h2>Cadastro de Preço
                    <button type="button" class="btn btn-info btn-sm ml-2" title="Tutorial" style="color: white;" id="tutorial">
                      <i class="fas fa-question-circle"></i>
                    </button>
                  </h2>
                </div>
                <!-- <p>Preencha os dados e clique em gravar para realizar o cadastro de preço</p> -->
                <div class="row">
                  <div class="col-md-12 mx-0">
                    <form id="msform">
                      <div class="form-card" style="min-height: 800px;">
                        <div class="row justify-content-center">
                          <div class="card col-10">
                            <div class="card-body">
                              <h2 class="fs-title">Dados Gerais
                                <label style="font-size: 60%" class="container">Produto 
                                  <input type="radio" checked="checked" id="radioProduto" name="tipoFat">
                                  <span class="checkmark"></span>
                                </label>
                                <label style="font-size: 60%; margin-left: -2.5%" class="container">Material 
                                  <input type="radio" id="radioMaterial" name="tipoFat">
                                  <span class="checkmark"></span>
                                </label>
                              </h2>
                              <div class="row">
                                <div class="col-lg-12  col-12 form-group">
                                  <label data-error="wrong" class="labelGeral" data-success="right" for="txtTabPreco">Tabela de preço *</label>
                                  <div class="input-group">
                                    <input type="text" class="input-default focus form-control validate" required aria-describedby="tabPrecoError" id="txtTabPreco" name="txtTabPreco" class="form-control" placeholder="Tabela de preço">
                                    <div class="input-group-append">
                                      <button class="btn bg-danger" id="btnTabPreco" name="btnTabPreco" data-button="absolute" type="button">
                                        <i class="m-0 p-0 fas fa-search"></i>
                                      </button>
                                      <button class="btn bg-danger" id="btnExcluiTabPreco" type="button">
                                        <i class="m-0 p-0 fas fa-trash"></i>
                                      </button>
                                    </div>
                                  </div>
                                </div>
                                <div class="col-lg-12  col-12 form-group" id="produtotuto">
                                  <label data-error="wrong" class="labelGeral" data-success="right" id="labelProduto" for="txtProduto">Produto *</label>
                                  <div class="input-group">
                                    <input type="text" class="input-default focus form-control" required aria-describedby="produtoError" id="txtProduto" name="txtProduto" class="form-control" placeholder="Produto">
                                    <div class="input-group-append">
                                      <button class="btn bg-danger" id="btnProduto" name="btnProduto" data-button="absolute" type="button">
                                        <i class="m-0 p-0 fas fa-search"></i>
                                      </button>
                                      <button class="btn bg-danger" id="btnExcluiProduto" type="button">
                                        <i class="m-0 p-0 fas fa-trash"></i>
                                      </button>
                                    </div>
                                  </div>
                                </div>
                              </div>
                              <div class="row">
                                <div class="col-lg-6  col-12 form-group" id="precotuto">
                                  <label data-error="wrong" class="labelGeral" data-success="right" for="txtParcela01">Preço 01 *</label>
                                  <div class="input-group">
                                    <input type="text" class="input-default focus form-control" maxlength="10" required required aria-describedby="precoError" id="txtParcela01" name="txtParcela01" class="form-control" placeholder="Preço 01">
                                  </div>
                                </div>

                                <div class="col-lg-6  col-12 form-group" style="display: flex; align-items: flex-end;">
                                  <div class="bordaTab">
                                    <label class="labelTabPreco" for="checkPromo">
                                      <input type="checkbox" id="checkPromo">     Promoção
                                    </label>
                                  </div>
                                </div>
                              </div>
                              <div id="classeDNone" class="col-lg-12 row d-none form-group">
                                <div class="col-lg-4  col-12">
                                  <label data-error="wrong" class="labelGeral" data-success="right" for="txtPrecoPromo">Preço promocional</label>
                                  <div class="input-group">
                                    <input type="text" class="input-default focus form-control" id="txtPrecoPromo" name="txtPrecoPromo" class="form-control" placeholder="Preço promocional">
                                  </div>
                                </div>
                                <div class="col-lg-4  col-12 form-group">
                                  <label data-error="wrong" class="labelGeral" data-success="right" for="dataIni">Data
                                    início promoção</label>
                                  <div class="input-group">
                                    <input type="date" max="2500-12-31" class="input-default focus form-control" id="dataIni" name="dataIni" class="form-control">
                                  </div>
                                </div>
                                <div class="col-lg-4  col-12 form-group">
                                  <label data-error="wrong" class="labelGeral" data-success="right" for="dataFim">Data
                                    fim promoção</label>
                                  <div class="input-group">
                                    <input type="date" max="2500-12-31" class="input-default focus form-control" id="dataFim" name="dataFim" class="form-control">
                                  </div>
                                </div>
                              </div>
                              <div class="row">
                                <div class="col-lg-2  col-12 form-group">
                                  <label data-error="wrong" class="labelGeral" data-success="right" for="txtParcela02">Preço 02</label>
                                  <div class="input-group">
                                    <input type="text" class="input-default focus form-control" maxlength="10" id="txtParcela02" name="txtParcela02" class="form-control" placeholder="Parcela 02">
                                  </div>
                                </div>
                                <div class="col-lg-2  col-12 form-group">
                                  <label data-error="wrong" class="labelGeral" data-success="right" for="txtParcela03">Preço 03</label>
                                  <div class="input-group">
                                    <input type="text" class="input-default focus form-control" maxlength="10" id="txtParcela03" name="txtParcela03" class="form-control" placeholder="Parcela 03">
                                  </div>
                                </div>
                                <div class="col-lg-2  col-12 form-group">
                                  <label data-error="wrong" class="labelGeral" data-success="right" for="txtParcela04">Preço 04</label>
                                  <div class="input-group">
                                    <input type="text" class="input-default focus form-control" maxlength="10" id="txtParcela04" name="txtParcela04" class="form-control" placeholder="Parcela 04">
                                  </div>
                                </div>
                                <div class="col-lg-2  col-12 form-group">
                                  <label data-error="wrong" class="labelGeral" data-success="right" for="txtParcela05">Preço 05</label>
                                  <div class="input-group">
                                    <input type="text" class="input-default focus form-control" maxlength="10" id="txtParcela05" name="txtParcela05" class="form-control" placeholder="Parcela 05">
                                  </div>
                                </div>
                                <div class="col-lg-2  col-12 form-group">
                                  <label data-error="wrong" class="labelGeral" data-success="right" for="txtParcela06">Preço 06</label>
                                  <div class="input-group">
                                    <input type="text" class="input-default focus form-control" maxlength="10" id="txtParcela06" name="txtParcela06" class="form-control" placeholder="Parcela 06">
                                  </div>
                                </div>
                                <div class="col-lg-2  col-12 form-group">
                                  <label data-error="wrong" class="labelGeral" data-success="right" for="txtParcela07">Preço 07</label>
                                  <div class="input-group">
                                    <input type="text" class="input-default focus form-control" maxlength="10" id="txtParcela07" name="txtParcela07" class="form-control" placeholder="Parcela 07">
                                  </div>
                                </div>
                                <div class="col-lg-2  col-12 form-group">
                                  <label data-error="wrong" class="labelGeral" data-success="right" for="txtParcela08">Preço 08</label>
                                  <div class="input-group">
                                    <input type="text" class="input-default focus form-control" maxlength="10" id="txtParcela08" name="txtParcela08" class="form-control" placeholder="Parcela 08">
                                  </div>
                                </div>
                                <div class="col-lg-2  col-12 form-group">
                                  <label data-error="wrong" class="labelGeral" data-success="right" for="txtParcela09">Preço 09</label>
                                  <div class="input-group">
                                    <input type="text" class="input-default focus form-control" maxlength="10" id="txtParcela09" name="txtParcela09" class="form-control" placeholder="Parcela 09">
                                  </div>
                                </div>
                                <div class="col-lg-2  col-12 form-group">
                                  <label data-error="wrong" class="labelGeral" data-success="right" for="txtParcela10">Preço 10</label>
                                  <div class="input-group">
                                    <input type="text" class="input-default focus form-control" maxlength="10" id="txtParcela10" name="txtParcela10" class="form-control" placeholder="Parcela 10">
                                  </div>
                                </div>
                                <div class="col-lg-2  col-12 form-group">
                                  <label data-error="wrong" class="labelGeral" data-success="right" for="txtParcela11">Preço 11</label>
                                  <div class="input-group">
                                    <input type="text" class="input-default focus form-control" maxlength="10" id="txtParcela11" name="txtParcela11" class="form-control" placeholder="Parcela 11">
                                  </div>
                                </div>
                                <div class="col-lg-2  col-12 form-group">
                                  <label data-error="wrong" class="labelGeral" data-success="right" for="txtParcela12">Preço 12</label>
                                  <div class="input-group">
                                    <input type="text" class="input-default focus form-control" maxlength="10" id="txtParcela12" name="txtParcela12" class="form-control" placeholder="Parcela 12">
                                  </div>
                                </div>
                                <div class="col-lg-2  col-12 form-group">
                                  <label data-error="wrong" class="labelGeral" data-success="right" for="txtParcela13">Preço 13</label>
                                  <div class="input-group">
                                    <input type="text" class="input-default focus form-control" maxlength="10" id="txtParcela13" name="txtParcela13" class="form-control" placeholder="Parcela 13">
                                  </div>
                                </div>
                              </div>
                              <div class="col-lg-12  col-12" id="tabelatuto">
                                <label data-error="wrong" data-success="right" for="tabelaPrecos">Preços
                                  cadastrados</label>
                                <table id="tabelaPrecos" class="table table-sm table-select table-hover">
                                  <thead>
                                    <tr>
                                      <th>Ordem</th>
                                      <th>Tabela</th>
                                      <th>Código</th>
                                      <th>Descrição</th>
                                      <th>Preço</th>
                                    </tr>
                                  </thead>
                                  <tbody>
                                  </tbody>
                                </table>
                              </div>
                              <input type="button" name="btnGravar" id="btnGravar" class="btn-sisp action-button" value="Gravar" />
                              <button type="button" id="btnVoltar" style="font-size:15px;" class="btn-sisp action-button-previous" data-dismiss="modal">Voltar</button>
                            </div>
                          </div>
                        </div>
                      </div>
                    </form>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </section>
    </div>
  </div>

  <?php
  include_once('../../../footer.php');
  ?>

  <aside class="control-sidebar control-sidebar-dark">
  </aside>
  </div>

  <script src="../plugins/jquery/jquery.min.js?versao=3.232.21.1"></script>
  <script src="../plugins/jquery-ui/jquery-ui.min.js?versao=3.232.21.1"></script>
  <script type="text/javascript" src="../dist/js/jquery.dataTables.js?versao=3.232.21.1"></script>
  <script type="text/javascript" src="../dist/js/dataTables.bootstrap4.min.js?versao=3.232.21.1"></script>
  <script src="../plugins/sweetalert2/sweetalert2.min.js?versao=3.232.21.1"></script>
  <script src="../plugins/toastr/toastr.min.js?versao=3.232.21.1"></script>
  <script>
    $.widget.bridge('uibutton', $.ui.button);
  </script>
  <script src="../plugins/bootstrap/js/bootstrap.bundle.min.js?versao=3.232.21.1"></script>
  <script src="../dist/js/adminlte.min.js?versao=3.232.21.1"></script>
  <script src="../dist/js/requisicoes.js?versao=3.232.21.1"></script>
  <script src="../dist/js/cliente/entidade.js?versao=3.232.21.1"></script>
  <script src="../dist/js/loadingoverlay.min.js?versao=3.232.21.1"></script>
  <script src="../dist/js/valida_cpf_cnpj.js?versao=3.232.21.1"></script>
  <script src="../plugins/jquery-validation/jquery.validate.min.js?versao=3.232.21.1"></script>
  <script src="../dist/js/sisplan.js?versao=3.232.21.1"></script>
  <script src="../utils/funcoes.js?versao=3.232.21.1"></script>
  <script src="../dist/js/driver.min.js?versao=3.232.21.1"></script>
  <script src="../dist/js/jquery.maskMoney.min.js?versao=3.232.21.1"></script>
  <script src="../utils/cookies.js?versao=3.232.21.1"></script>
  <script src="../dist/js/dataTables.keyTable2.js?versao=3.232.21.1"></script>
  <script type="text/javascript" src="../config.js?versao=3.232.21.1"></script>
  <script>
    $(document).ready(async function() {
      if (getCookie('usuario') == "") {
        window.location.href = `${BASE_URI}/login`;
        return;
      }

      let usuario = getCookie('usuario');
      let empresa = getCookie('empresa');

      ipInterno = IP_INTERNO;
      ipExterno = IP_EXTERNO;
      basicAuth = BASIC_AUTH;

      const temAcesso = await temAcessoTela('TABELAPRECO');
      if (!temAcesso.resultado) {
        toastrAcesso(temAcesso, BASE_URI);
        return;
      }

      const permissaoUsuarioLogado = await permissaoAcessos("TABELAPRECO");

      if (permissaoUsuarioLogado.INCLUI == 'N') {
        await criaMensagemErro("Sem permissão para incluir!", () => {
          window.location.href = `${BASE_URI}/preco`
        });
        return;
      }

      sArquivo = `${BASE_URI}/pages/preco/cadastro_preco/cadastro_preco.js?versao=3.232.21.1`;
      insereJavaScriptPagina(sArquivo);

      const nomeTela = ('<?php echo basename(__FILE__) ?>').replace('.php', '');
      habilitaCamposObrigatoriosTela(nomeTela);
    });
  </script>
</body>

</html>