<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>Sisplan Web | Relatório de Receber</title>
  <!-- Tell the browser to be responsive to screen width -->
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css?versao=3.232.21.1">

  <link rel="stylesheet" href="dist/css/adminlte.min.css?versao=3.232.21.1">
  <link rel="stylesheet" href="dist/css/custom.css?versao=3.232.21.1">
  <link rel="stylesheet" href="dist/css/sisplan.css?versao=3.232.21.1">
  <link rel="stylesheet" type="text/css" href="plugins/datatables-keytable/css/keyTable.bootstrap4.min.css?versao=3.232.21.1">
  <link rel="stylesheet" href="plugins/toastr/toastr.min.css?versao=3.232.21.1">
  <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css?versao=3.232.21.1">
  <link rel="shortcut icon" href="favicon.ico">
  <link rel="stylesheet" type="text/css" href="dist/css/driver.min.css?versao=3.232.21.1" />
  <link rel="stylesheet" href="dist/css/jquery-ui.css?versao=3.232.21.1">
  <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">
</head>

<body class="hold-transition sidebar-mini layout-fixed">
  <main class="wrapper">

    <?php
    include_once('../../menu.php');
    ?>

    <div class="content-wrapper">
      <div class="content-header">
        <div class="container-fluid">
          <div class="row mb-2">
            <div class="col-sm-6 flex">
              <h1 class="m-0 text-dark">Relatório de Contas a Receber</h1>
              <button type="button" class="btn btn-info btn-sm ml-2" title="Tutorial" style="color: white;" id="tutorial">
                <i class="fas fa-question-circle"></i></button>
            </div>
            <div class="col-sm-6">
              <ol class="breadcrumb float-sm-right">
                <li class="breadcrumb-item"><a href="./index">Início</a></li>
                <li class="breadcrumb-item active">Relatório de Contas a Receber</li>
              </ol>
            </div>
          </div>
          <div class="row">
            <div class="col-12">
              <fieldset>
                <div class="row">
                  <div class="col-12">
                    <div class="buttons">
                      <button class="btn btn-success btn-sisp" id="btnFiltros" type="button"><span class="fas fa-filter"></span> Filtros</button>
                      <button id="btnImprimir" class="btn-sisp btn btn-danger"><i class="fas fa-print"></i> Imprimir</button>
                    </div>
                  </div>
                </div>
                <div class="card-body" id="divTabelaVendas">
                  <div class="card">
                    <div class="col-sm-12 table-responsive card-body">
                      <table id="tabelaRelReceber" class="table table-sm table-select table-hover" width="100%"></table>
                      <thead>
                        <tr></tr>
                      </thead>
                      <tbody>
                        <tr></tr>
                      </tbody>
                    </div>
                  </div>
                </div>
              </fieldset>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div id="modal-filtros" class="modal" tabindex="-1" role="dialog">
      <div class="modal-dialog modal-xl" role="document">
        <div class="modal-content" id="modalBody">
          <div class="modal-header">
            <h4 class="modal-title">Filtros</h4>

            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>

          <div class="modal-body">
            <div class='row'>
              <div class="col-lg-4 col-sm-6 col-6">
                <label for="">Numero:</label>
                <div class="form-group input-group">
                  <input type="text" autocomplete="off" value="" class="input-default focus form-control validate" id="txtNumero" name="numero" width="100%">
                </div>
              </div>
              <div class="col-lg-8 col-sm-6 col-6" id="ClienteInfoTour">
                <label data-error="wrong" data-success="right" for="txtClienteConsulta">Cliente:</label>
                <div class="form-group input-group">
                  <input type="text" data-selecionado="false" class="input-default focus form-control" id="txtClienteConsulta" name="txtClienteConsulta" placeholder="Cliente">
                  <div class="input-group-append">
                    <button class="btn bg-danger" id="btn-ClienteConsulta" name="btn-ClienteConsulta" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                    <button class="btn bg-danger" id="btn-limpa-ClienteConsulta" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                  </div>
                </div>
              </div>
              <div class="col-lg-4 col-sm-6 col-6">
                <label for="">Fatura:</label>
                <div class="form-group input-group">
                  <input type="text" autocomplete="off" value="" class="input-default focus form-control validate" id="txtFatura" name="fatura" width="100%">
                </div>
              </div>
              <div class="col-lg-8 col-sm-6 col-6" id="RepresentanteInfoTour">
                <label data-error="wrong" data-success="right" for="txtRepresentanteConsulta">Representante:</label>
                <div class="form-group input-group">
                  <input type="text" class="input-default focus form-control" id="txtRepresentanteConsulta" name="txtRepresentanteConsulta" class="form-control" placeholder="Representante">
                  <div class="input-group-append">
                    <button class="btn bg-danger" id="btn-RepresentanteConsulta" name="btn-RepresentanteConsulta" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                    <button class="btn bg-danger" id="btn-limpa-RepresentanteConsulta" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                  </div>
                </div>
              </div>
            </div>

            <div class="row">
              <div class="col-lg-3 col-sm-6 col-6">
                <div class="group-default form-group">
                  <label for="">Data Emissão:</label>
                  <div class="relative">
                    <input type="date" max="2500-12-31" value="1200-01-01" class="input-default focus form-control validate" id="txtDataEmiI" name="DataDe">
                  </div>
                </div>
              </div>
              <div class="col-lg-3 col-sm-6 col-6">
                <div class="group-default form-group">
                  <label for="dtEmifim">Até:</label>
                  <div class="relative">
                    <input type="date" max="2500-12-31" value="2500-12-31" class="input-default focus form-control validate" id="txtDataEmiF" name="DataAte">
                  </div>
                </div>
              </div>
              <div class="col-lg-3 col-sm-6 col-6">
                <div class="group-default form-group">
                  <label for="">Data Vencimento:</label>
                  <div class="relative">
                    <input type="date" max="2500-12-31" value="1200-01-01" class="input-default focus form-control validate" id="txtVenctoI" name="DataDe">
                  </div>
                </div>
              </div>
              <div class="col-lg-3 col-sm-6 col-6">
                <div class="group-default form-group">
                  <label for="dtEmifim">Até:</label>
                  <div class="relative">
                    <input type="date" max="2500-12-31" value="2500-12-31" class="input-default focus form-control validate" id="txtVenctoF" name="DataAte">
                  </div>
                </div>
              </div>
            </div>

            <div class="row" style="margin-top: -10px">
              <div class="col-lg-3 col-sm-6 col-6">
                <div class="group-default form-group">
                  <label for="Sstatus">Status:</label>
                  <div class="relative">
                    <select id="Status" class="input-default focus form-control validate">
                      <option value="" selected>Todos</option>
                      <option value="DUPL">Duplicatas</option>
                      <option value="ANTE">Antecipações</option>
                      <option value="ORCA">Orçamentos</option>
                      <option value="CHEQ">Cheques</option>
                      <option value="CHDE">Cheques Devolvidos</option>
                      <option value="DESD">Desdobradas</option>
                      <option value="AGRU">Agrupadas</option>
                      <option value="CANC">Canceladas</option>
                      <option value="DEVO">Devolução</option>
                      <option value="AVDD">Aviso Débito</option>
                    </select>
                  </div>
                </div>
              </div>
              <div class="col-lg-3 col-sm-6 col-6">
                <div class="group-default form-group">
                  <label for="Situacao">Situação:</label>
                  <div class="relative">
                    <select id="txtSituacao" class="input-default focus form-control validate">
                      <option value="Todos">Todos</option>
                      <option value="Em Aberto" selected>Em Aberto</option>
                      <option value="Perdidas">Perdidas</option>
                      <option value="Pagas">Pagas</option>
                    </select>
                  </div>
                </div>
              </div>
              <div class="col-lg-3 col-sm-6 col-6">
                <label data-error="wrong" data-success="right" for="txtMoeda">Moeda:</label>
                <div class="form-group input-group">
                  <input type="text" class="input-default focus form-control" id="txtMoeda" name="txtMoeda" class="form-control" placeholder="Moeda">
                  <div class="input-group-append">
                    <button class="btn bg-danger" id="btnConsultaMoeda" name="btnConsultaMoeda" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                    <button class="btn bg-danger" id="btnLimpaMoeda" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                  </div>
                </div>
              </div>
              <div class="col-lg-3 col-sm-6 col-6">
                <label data-error="wrong" class="labelGearal" data-success="right" for="txtOrdem">Ordem Impressão</label>
                <div class="input-group">
                  <select class="input-default focus form-control" data-dropdown-css-class="select2-danger" id="txtOrdem" class="custom-select">
                  </select>
                </div>
              </div>

            </div>
            <div class="modal-footer">
              <button class="btn btn-primary btn-sisp" id="btnLimparFiltros" style="background-color: #B22222; border-color: #B22222"><span class="fas fa-trash"></span> Limpar Filtros</button>     
              <button id="btnConsultar" class='btn btn-primary float-right' type='button'><span class="fas fa-search"></span> Consultar </button>
            </div>
          </div>
        </div>
      </div>
    </div>

    <!-- Control Sidebar -->
    <aside class="control-sidebar control-sidebar-dark">
      <!-- Control sidebar content goes here -->
    </aside><!-- /.control-sidebar -->
    <?php include_once('../../footer.php'); ?>
  </main><!-- /.wrapper -->

  <script src="plugins/jquery/jquery.min.js?versao=3.232.21.1"></script>
  <script src="dist/js/jquery.maskMoney.min.js?versao=3.232.21.1"></script>
  <script src="plugins/jquery-ui/jquery-ui.min.js?versao=3.232.21.1"></script>
  <script type="text/javascript" src="dist/js/jquery.dataTables.js?versao=3.232.21.1"></script>
  <script type="text/javascript" src="dist/js/dataTables.bootstrap4.min.js?versao=3.232.21.1"></script>
  <script src="plugins/sweetalert2/sweetalert2.min.js?versao=3.232.21.1"></script>
  <script src="plugins/toastr/toastr.min.js?versao=3.232.21.1"></script>
  <script>
    $.widget.bridge('uibutton', $.ui.button);
  </script>
  <script src="plugins/bootstrap/js/bootstrap.bundle.min.js?versao=3.232.21.1"></script>
  <script src="dist/js/adminlte.min.js?versao=3.232.21.1"></script>
  <script src="dist/js/requisicoes.js?versao=3.232.21.1"></script>
  <script src="dist/js/loadingoverlay.min.js?versao=3.232.21.1"></script>
  <script src="dist/js/valida_cpf_cnpj.js?versao=3.232.21.1"></script>
  <script src="plugins/jquery-validation/jquery.validate.min.js?versao=3.232.21.1"></script>
  <script src="dist/js/dataTables.keyTable.js?versao=3.232.21.1"></script>
  <script src="plugins/moment/moment.min.js?versao=3.232.21.1"></script>
  <script src="dist/js/sisplan.js?versao=3.232.21.1"></script>
  <script src="utils/funcoes.js?versao=3.232.21.1"></script>
  <script src="utils/cookies.js?versao=3.232.21.1"></script>
  <script src="dist/js/driver.min.js?versao=3.232.21.1"></script>
  <script src="config.js?versao=3.232.21.1"></script>
  <script>
    $(document).ready(async function() {
      if (getCookie('usuario') == "") {
        window.location.href = `${BASE_URI}/login`;
        return;
      }

      let usuario = getCookie('usuario');
      let empresa = getCookie('empresa');

      ipInterno = IP_INTERNO;
      ipExterno = IP_EXTERNO;
      basicAuth = BASIC_AUTH;

      const temAcesso = await temAcessoTela('RELRECEBER');
      if (!temAcesso.resultado) {
        toastrAcesso(temAcesso, BASE_URI);
        return;
      }

      sArquivo = `${BASE_URI}/pages/relreceber/relreceber.js?versao=3.232.21.1`;
      const nomeTela = ('<?php echo basename(__FILE__) ?>').replace('.php', '');

      await insereJavaScriptPagina(sArquivo);

      habilitaCamposObrigatoriosTela(nomeTela);
    });
  </script>

</body>

</html>