<?php include_once('../../../config.php') ?>

<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>Sisplan Web | Cadastro de Horários dos Turnos</title>
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="../dist/css/adminlte.min.css?versao=3.231.17.1">
  <link rel="stylesheet" href="../plugins/fontawesome-free/css/all.min.css?versao=3.231.17.1">
  <link href='https://fonts.googleapis.com/css?family=Roboto:400,300,500,600,700,400italic' rel='stylesheet' type='text/css'>
  <link rel="stylesheet" type="text/css" href="../dist/css/dataTables.bootstrap4.min.css?versao=3.231.17.1" />
  <link href='../dist/css/bootstrap.min.css?versao=3.231.17.1'>
  <link rel="stylesheet" href="../dist/css/custom.css?versao=3.231.17.1">
  <link rel="stylesheet" href="../dist/css/sisplan.css?versao=3.231.17.1">
  <link rel="stylesheet" type="text/css" href="../plugins/datatables-keytable/css/keyTable.bootstrap4.min.css?versao=3.231.17.1">
  <link rel="stylesheet" type="text/css" href="../dist/css/responsive.bootstrap.min.css?versao=3.231.17.1">
  <link rel="shortcut icon" href="../favicon.ico">
  <link rel="stylesheet" href="../dist/css/cadastro.css?versao=3.231.17.1">
  <link rel="stylesheet" href="../plugins/toastr/toastr.min.css?versao=3.231.17.1">
  <link rel="stylesheet" type="text/css" href="../dist/css/driver.min.css?versao=3.231.17.1" />
  <link rel="stylesheet" href="../dist/css/jquery-ui.css?versao=3.231.17.1">
  <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">
  <style>
    .bordaRadio,
    .bordaCheckbox {
      border: 1px solid #e0e4e6;
      border-radius: 4px;
      padding: 10px 15px 0 10px;
    }

    .bordaCheckbox2 {
      border: 1px solid #e0e4e6;
      border-radius: 4px;
      padding: 10px 15px 0 10px;
    }

    #progressbar li {
      list-style-type: none;
      font-size: 12px;
      width: 100%;
      float: left;
      position: relative
    }

  
  </style>
</head>

<body class="hold-transition sidebar-mini layout-fixed">
  <div class="wrapper">
    <?php
    include_once('../../../menu.php');
    ?>

    <div id="myModal" class="modal" tabindex="-1" role="dialog">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 id="myModalLabel" class="modal-title"></h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <p id="myModalText"></p>
          </div>
          <div class="modal-footer">
            <button id="btnYes" type="button" class="btn btn-primary">Sim</button>
            <button id="btnNo" type="button" class="btn btn-secondary" data-dismiss="modal">Não</button>
          </div>
        </div>
      </div>
    </div>
    <div class="wrapper">
      <div id="myModal" class="modal" tabindex="-1" role="dialog">
        <div class="modal-dialog" role="document">
          <div class="modal-content">
            <div class="modal-header">
              <h5 id="myModalLabel" class="modal-title"></h5>
              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
              </button>
            </div>
            <div class="modal-body">
              <p id="myModalText"></p>
            </div>
            <div class="modal-footer">
              <button id="btnYes" type="button" class="btn btn-primary">Sim</button>
              <button id="btnNo" type="button" class="btn btn-secondary" data-dismiss="modal">Não</button>
            </div>
          </div>
        </div>
      </div>
      <div class="content-wrapper">
        <div class="content-header">
          <div class="container-fluid">
            <div class="row mb-2">
              <div class="col-sm-6 flex">
                <h1 class="m-0 text-dark"></h1>
              </div>
              <div class="col-sm-6">
                <ol class="breadcrumb float-sm-right">
                  <li class="breadcrumb-item"><a href="./index">Início</a></li>
                  <li class="breadcrumb-item"><a href="../cadhorarios">Acesso Horários dos Turnos</a></li>
                  <li class="breadcrumb-item active">Cadastro de Horários dos Turnos</li>
                </ol>
              </div>
            </div>
          </div>
          <div class="row justify-content-center mt-0">
            <div class="col-10 text-center p-0 mt-3 mb-2">
              <div class="card px-0 pt-4 pb-0 mt-3 mb-3">
                <div class="card-header text-center flex" style="border: none!important;box-shadow:none!important;">
                  <h2>Cadastro de Horários dos Turnos
                    <button type="button" class="btn btn-info btn-sm ml-2" title="Tutorial" style="color: white;" id="tutorial">
                      <i class="fas fa-question-circle"></i>
                    </button>
                  </h2>
                </div>

                <div class="row">
                  <div class="col-md-12 mx-0">
                    <form id="msform">
                      <ul id="progressbar">
                        <li class="active" id="account"><strong>Geral</strong></li>
                      </ul>
                      <p>Preencha os dados e clique em gravar para realizar o cadastro ou alteração dos horários.</p>
                      <fieldset>

                        <div class="col-xl-12 col-sm-12 col-md-12">

                          <div class="row">
                            <div class="col-xl-10 col-md-8 form-group text-left">
                              <label data-error="wrong" data-success="right" for="txtTurno">Código: *</label>
                              <div class="input-group">
                                <input type="text" class="input-default focus form-control" id="txtTurno" name="txtTurno" placeholder="Código do Turno">
                                <div class="input-group-append">
                                  <button class="btn bg-danger" id="btnCodTurnos" name="btnCodTurnos" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                  <button class="btn bg-danger" id="btnLimpaCodTurnos" name="btnLimpaCodTurnos" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                </div>
                              </div>
                            </div>
                            <div class="col-xl-2 col-md-4" id="tutorialDSR">
                              <fieldset class="form border-Field p-0 form-group">
                                <label class="text-center" data-error="wrong" data-success="right" for="cbDSR">DSR(Descanso Semanal Remunerado):</label>
                                <div class="text-center  ">
                                  <label class="labelCheck text-center" for="cbDSR"><input type="checkbox" class="configCheck" style="-webkit-transform: scale(1.3)" id="cbDSR"></label>
                                </div>
                              </fieldset>
                            </div>
                          </div>
                          <div class="row">
                            <div class="form-group col-xl-3 col-md-12 text-left" id="radiogroup">
                              <label data-error="wrong" data-success="right" for="txtDiaSemana">Dia da Semana: *</label>
                              <select style="width:100%;" class="form-control select2 select2-danger focus" data-dropdown-css-class="select2-danger" id="slDiaSemana" class="custom-select focus">
                                <option value="" selected hidden disabled>- Selecione -</option>
                                <option value="1" id="slDomindo">DOMINGO</option>
                                <option value="2" id="slSegunda">SEGUNDA</option>
                                <option value="3" id="slTerca">TERÇA</option>
                                <option value="4" id="slQuarta">QUARTA</option>
                                <option value="5" id="slQuinta">QUINTA</option>
                                <option value="6" id="slSexta">SEXTA</option>
                                <option value="7" id="slSabado">SÁBADO</option>
                              </select>
                            </div>
                            <div class="col-xl-3 col-md-12 form-group text-left" id="tutorialAcada">
                              <label data-error="wrong" data-success="right" for="txtAcada">A cada:</label>
                              <div class="input-group">
                                <input type="number" class="input-default focus form-control" id="txtAcada" name="txtAcada" placeholder="Número de dias">
                              </div>
                            </div>
                            <div class="col-xl-3 col-md-12 text-left" id="tutoriaPartindo">
                              <label style="margin-bottom: .5rem;" data-error="wrong" data-success="right" for="dtInterce">Partindo de: </label>
                              <div class="relative">
                                <div class="input-group px-0 col-12 form-group text-left">
                                  <input type="date" max="2500-12-31" class="input-default focus form-control" id="dtInterceDe" name="dtInterceDe">
                                </div>
                              </div>
                            </div>
                            <div class="col-xl-3 col-md-12 form-group text-left" id="percentualHora">
                              <label data-error="wrong" data-success="right" for="txtPercHoraExtra">Perc. Hora/Extra</label>
                              <div class="input-group">
                                <input type="number" class="input-default focus form-control" id="txtPercHoraExtra" name="txtPercHoraExtra" placeholder="Perc. Hora Extra">
                              </div>
                            </div>
                          </div>

                          <div class="row">
                            <div class="row m-0 col-12" id="tutorialPeriodos">
                              <div class="col-xl-6 col-md-12 form-group">
                                <label data-error="wrong" data-success="right">1º Período</label>

                                <div class="row">
                                  <div class="bordaCheckbox col-12">
                                    <div class="row">
                                      <div class="col-xl-6 col-md-12 text-left" id="tutorialIniManha">
                                        <label data-error="wrong" data-success="right" for="tmEntrada1">Entrada *</label>
                                        <div class="input-group">
                                          <input type="time" class="input-default form-control mb-3 calculaHora" id="tmEntrada1" name="tmEntrada1">
                                        </div>
                                      </div>
                                      <div class="col-xl-6 col-md-12 text-left" id="tutorialFimManha">
                                        <label data-error="wrong" data-success="right" for="tmFim1">Saída *</label>
                                        <div class="input-group">
                                          <input type="time" class="input-default form-control mb-3 calculaHora" id="tmFim1" name="tmFim1">
                                        </div>
                                      </div>
                                      <div class="col-xl-6 col-md-12 text-left" id="tutorialPausaIniManha">
                                        <label data-error="wrong" data-success="right" for="tmIniPausa1">Ini. Intervalo</label>
                                        <div class="input-group">
                                          <input type="time" class="input-default form-control mb-3 calculaHora" id="tmIniPausa1" name="tmIniPausa1">
                                        </div>
                                      </div>
                                      <div class="col-xl-6 col-md-12 text-left" id="tutorialPausaFimManha">
                                        <label data-error="wrong" data-success="right" for="tmFimPausa1">Fim Intervalo</label>
                                        <div class="input-group">
                                          <input type="time" class="input-default form-control mb-3 calculaHora" id="tmFimPausa1" name="tmFimPausa1">
                                        </div>
                                      </div>
                                    </div>
                                  </div>
                                </div>
                              </div>

                              <div class="col-xl-6 col-md-12 form-group">
                                <label data-error="wrong" data-success="right">2º Período</label>

                                <div class="row">
                                  <div class="bordaCheckbox col-12">
                                    <div class="row">
                                      <div class="col-xl-6 col-md-12 text-left" id="tutorialIniTarde">
                                        <label data-error="wrong" data-success="right" for="tmEntrada2">Entrada</label>
                                        <div class="input-group">
                                          <input type="time" class="input-default form-control mb-3 calculaHora" id="tmEntrada2" name="tmEntrada2">
                                        </div>
                                      </div>
                                      <div class="col-xl-6 col-md-12 text-left" id="tutorialFimTarde">
                                        <label data-error="wrong" data-success="right" for="tmFim2">Saída</label>
                                        <div class="input-group">
                                          <input type="time" class="input-default form-control mb-3 calculaHora" id="tmFim2" name="tmFim2">
                                        </div>
                                      </div>
                                      <div class="col-xl-6 col-md-12 text-left" id="tutorialPausaIniTarde">
                                        <label data-error="wrong" data-success="right" for="tmIniPausa2">Ini. Intervalo</label>
                                        <div class="input-group">
                                          <input type="time" class="input-default form-control mb-3 calculaHora" id="tmIniPausa2" name="tmIniPausa2">
                                        </div>
                                      </div>
                                      <div class="col-xl-6 col-md-12 text-left" id="tutorialPausaFimTarde">
                                        <label data-error="wrong" data-success="right" for="tmFimPausa2">Fim Intervalo</label>
                                        <div class="input-group">
                                          <input type="time" class="input-default form-control mb-3 calculaHora" id="tmFimPausa2" name="tmFimPausa2">
                                        </div>
                                      </div>
                                    </div>
                                  </div>
                                </div>
                              </div>

                              <div class="col-12 form-group d-flex justify-content-center mb-0">
                                <div class="col-xl-3 col-md-8" id="tutorialTotal">
                                  <label data-error="wrong" data-success="right" for="tmTotalHoras">Total de horas</label>
                                  <div class="input-group">
                                    <input type="time" disabled class="input-default form-control mb-3" id="tmTotalHoras" name="tmTotalHoras">
                                  </div>
                                </div>
                              </div>
                            </div>

                            <div class="col-xl-6 col-md-12 form-group" id="tutorialNoturno">
                              <label data-error="wrong" data-success="right">Adicional Noturno</label>

                              <div class="row">
                                <div class="bordaCheckbox col-12">
                                  <div class="row">
                                    <div class="col-xl-6 col-md-12 text-left">
                                      <label data-error="wrong" data-success="right" for="tmEntradaAdicional">Entrada</label>
                                      <div class="input-group">
                                        <input type="time" class="input-default form-control mb-3" id="tmEntradaAdicional" name="tmEntradaAdicional">
                                      </div>
                                    </div>
                                    <div class="col-xl-6 col-md-12 text-left">
                                      <label data-error="wrong" data-success="right" for="tmSaidaAdicional">Saída</label>
                                      <div class="input-group">
                                        <input type="time" class="input-default form-control mb-3" id="tmSaidaAdicional" name="tmSaidaAdicional">
                                      </div>
                                    </div>
                                  </div>
                                </div>
                              </div>
                            </div>

                            <div class="col-xl-6 col-md-12 form-group" id="tutorialTolerancia">
                              <label data-error="wrong" data-success="right" for="txtAcada">Tolerância</label>

                              <div class="row">
                                <div class="bordaCheckbox col-12">
                                  <div class="row">
                                    <div class="col-xl-4 col-md-12 text-left">
                                      <label data-error="wrong" data-success="right" for="tmEntradaTolerancia">Entrada</label>
                                      <div class="input-group">
                                        <input type="time" class="input-default focus form-control mb-3" id="tmEntradaTolerancia" name="tmEntradaTolerancia">
                                      </div>
                                    </div>
                                    <div class="col-xl-4 col-md-12 text-left">
                                      <label data-error="wrong" data-success="right" for="tmSaidaTolerancia">Saída</label>
                                      <div class="input-group">
                                        <input type="time" class="input-default focus form-control mb-3" id="tmSaidaTolerancia" name="tmSaidaTolerancia">
                                      </div>
                                    </div>
                                    <div class="col-xl-4 col-md-12 text-left">
                                      <label data-error="wrong" data-success="right" for="tmAdicionalTolerancia">Adi. Notur.</label>
                                      <div class="input-group">
                                        <input type="time" class="input-default focus form-control mb-3" id="tmAdicionalTolerancia" name="tmAdicionalTolerancia">
                                      </div>
                                    </div>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </div>
                        </div>
                        <input type="button" name="next" class="btn-sisp next action-button" value="Gravar" id="btnGravar" />
                        <button type="button" id="btnVoltar" style="font-size:15px;" class="btn-sisp action-button-previous" data-dismiss="modal">Voltar</button>
                      </fieldset>
                    </form>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <?php
  include_once('../../../footer.php');
  ?>
  <aside class="control-sidebar control-sidebar-dark">
  </aside>
  </div>
  <script src="../plugins/jquery/jquery.min.js?versao=3.231.17.1"></script>
  <script src="../plugins/jquery-ui/jquery-ui.min.js?versao=3.231.17.1"></script>
  <script type="text/javascript" src="../dist/js/jquery.dataTables.js?versao=3.231.17.1"></script>
  <script type="text/javascript" src="../dist/js/dataTables.bootstrap4.min.js?versao=3.231.17.1"></script>
  <script src="../plugins/sweetalert2/sweetalert2.min.js?versao=3.231.17.1"></script>
  <script src="../plugins/toastr/toastr.min.js?versao=3.231.17.1"></script>
  <script>
    $.widget.bridge('uibutton', $.ui.button);
  </script>
  <script src="../plugins/bootstrap/js/bootstrap.bundle.min.js?versao=3.231.17.1"></script>
  <script src="../dist/js/adminlte.min.js?versao=3.231.17.1"></script>
  <script src="../dist/js/requisicoes.js?versao=3.231.17.1"></script>
  <script src="../dist/js/cliente/entidade.js?versao=3.231.17.1"></script>
  <script src="../dist/js/loadingoverlay.min.js?versao=3.231.17.1"></script>
  <script src="../dist/js/valida_cpf_cnpj.js"></script>
  <script src="../plugins/jquery-validation/jquery.validate.min.js?versao=3.231.17.1"></script>
  <script src="../dist/js/sisplan.js?versao=3.231.17.1"></script>
  <script src="../utils/funcoes.js?versao=3.231.17.1"></script>
  <script src="../utils/cookies.js?versao=3.231.17.1"></script>
  <script src="../dist/js/jquery.maskMoney.min.js?versao=3.231.17.1"></script>
  <script src="../dist/js/driver.min.js?versao=3.231.17.1"></script>
  <script src="../dist/js/dataTables.keyTable2.js?versao=3.231.17.1"></script>
  <script type="text/javascript" src="../config.js?versao=3.231.17.1"></script>
  <script>
    $(document).ready(async function() {
      if (getCookie('usuario') == "") {
        window.location.href = `${BASE_URI}/login`;
        return;
      }

      let usuario = getCookie('usuario');
      let empresa = getCookie('empresa');

      ipInterno = IP_INTERNO;
      ipExterno = IP_EXTERNO;
      basicAuth = BASIC_AUTH;

      const temAcesso = await temAcessoTela('CADHORARIOS');
      if (!temAcesso.resultado) {
        toastrAcesso(temAcesso, BASE_URI);
        return;
      }

      sArquivo = `${BASE_URI}/pages/cadhorarios/cadastro_cadhorarios/cadhorarios.js?versao=3.231.17.1`;
      insereJavaScriptPagina(sArquivo);

      const nomeTela = ('<?php echo basename(__FILE__) ?>').replace('.php', '');
      habilitaCamposObrigatoriosTela(nomeTela);
    });
  </script>
</body>

</html>