<?php include_once('../../config.php') ?>
<?php
$hostname = gethostbyaddr($_SERVER['REMOTE_ADDR']);
?>
<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>Sisplan Web | Conferência de Inventário
  </title>
  <!-- Tell the browser to be responsive to screen width -->
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css?versao=3.232.21.1">

  <!-- Theme style -->
  <link rel="stylesheet" href="dist/css/adminlte.min.css?versao=3.232.21.1">
  <link rel="stylesheet" href="dist/css/custom.css?versao=3.232.21.1">
  <link rel="stylesheet" href="dist/css/sisplan.css?versao=3.232.21.1">
  <link rel="stylesheet" type="text/css" href="plugins/datatables-keytable/css/keyTable.bootstrap4.min.cs?versao=3.232.21.1s">
  <!-- Toastr -->
  <link rel="stylesheet" href="plugins/toastr/toastr.min.css?versao=3.232.21.1">
  <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css?versao=3.232.21.1">
  <link rel="shortcut icon" href="favicon.ico">
  <link rel="stylesheet" type="text/css" href="dist/css/driver.min.css?versao=3.232.21.1" />
  <link rel="stylesheet" href="dist/css/jquery-ui.css?versao=3.232.21.1">
  <!-- Google Font: Source Sans Pro -->
  <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">


</head>
<style>
  #msform {
    text-align: start;
    position: relative;
  }

  .card {
    box-shadow: none !important;
    border-radius: 0 !important;
    margin-bottom: 0 !important;
  }

  .card-header {
    box-shadow: 0px 1px rgb(0 0 0 / 20%) !important;
  }


  .fa-angle-right,
  .fa-angle-down {
    color: #343a40;
  }

  .card-body {
    margin-left: 0px !important;
    padding-left: 1.25rem !important;
    padding-top: 0px;
    padding-bottom: 0px;
    padding-right: 1.25rem !important;
  }

  .header-content-page .title-page,
  .title-content-page .title,
  .title-page {
    font-size: 20px;
    line-height: normal;
    font-weight: 500;
    color: #343a40;
    margin: 0;
    font-family: Roboto, Arial, sans-serif;
  }

  #DadosGerais>.card,
  #obs>.card {
    background: #f7f7f7;
  }

  .radiosStyle {
    padding-top: 3.5%;
    border: solid #e0e4e6;
    border-radius: 4px;
    border-width: 2px;
    margin-left: 0%;
  }

  .radiosStyle2 {
    padding-top: 3.5%;
    border: solid #e0e4e6;
    border-radius: 4px;
    border-width: 2px;
  }

  .bordaProduto {
    padding-top: .5%;
    border: solid #e0e4e6;
    border-radius: 4px;
    border-width: 2px;
  }
</style>
<!-- Toastr -->
<link rel="stylesheet" href="./plugins/toastr/toastr.min.css">

</head>

<body class="hold-transition sidebar-mini layout-fixed">
  <div class="wrapper">
    <?php
    include_once('../../menu.php');
    ?>

    <div class="content-wrapper">
      <section class="content">
        <div class="content-header">
          <div class="container-fluid">
            <div class="row mb-2">
              <div class="col-sm-6 flex">
              </div>
              <div class="col-sm-6">
                <ol class="breadcrumb float-sm-right">
                  <li class="breadcrumb-item"><a href="./index">Início</a></li>
                  <li class="breadcrumb-item active">Conferência de Inventário</li>
                </ol>
              </div>
            </div>
          </div>
          <div class="row">
            <div class="col-12">
              <div class="card" style="height:auto;">
                <div class="card-header bg-dark">
                  <div class="row flex">
                    <h4 class="text-white">Conferência de Inventário de Produto </h4>
                    <button title="Tutorial" class="btn btn-info btn-sm ml-2" id="tutorial">
                      <i class="fas fa-question-circle"></i>
                    </button>
                  </div>
                </div>
                <fieldset>
                  <div class="card-body" style="padding-left: 0rem!important; padding-right: 0rem!important;">
                    <form id="msform" name="msform">
                      <div class="collapse show" id="DadosGerais">
                        <div class="card card-body" style="padding-top: 10px;">
                          <div class="tab-pane fade show active" role="tabpanel" aria-labelledby="dados-tab">
                            <div class="form-row">
                              <div class="col-lg-4  col-12 form-group">
                                <label data-error="wrong" class="labelGeral" data-success="right" for="dataInvIni">Período inventário início *</label>
                                <div class="input-group">
                                  <input type="date" max="2500-12-31" class="input-default focus form-control" id="dataInvIni" name="dataInvIni" class="form-control">
                                </div>
                              </div>
                              <div class="col-lg-4  col-12 form-group">
                                <label data-error="wrong" class="labelGeral" data-success="right" for="dataInvFim">Período inventário fim *</label>
                                <div class="input-group">
                                  <input type="date" max="2500-12-31" class="input-default focus form-control" id="dataInvFim" name="dataInvFim" class="form-control">
                                </div>
                              </div>
                              <div class="col-4 col-lg-4 form-group">
                                <label for="txtSetor">Setor: </label>
                                <div class="input-group">
                                  <input type="text" class="input-default focus form-control" id="txtSetor" name="txtSetor" placeholder="Setor">
                                  <div class="input-group-append">
                                    <button class="btn bg-danger" id="btnSetor" name="btnSetor" data-button="absolute" type="button">
                                      <i class="m-0 p-0 fas fa-search"></i>
                                    </button>
                                    <button class="btn bg-danger" id="btnASetor" type="button">
                                      <i class="m-0 p-0 fas fa-trash"></i>
                                    </button>
                                  </div>
                                </div>
                              </div>
                              <div class="col-4 col-lg-4 form-group">
                                <label for="txtProduto">Produto: </label>
                                <div class="input-group">
                                  <input type="text" class="input-default focus form-control" id="txtProduto" name="txtProduto" placeholder="Produto">
                                  <div class="input-group-append">
                                    <button class="btn bg-danger" id="btnProduto" name="btnProduto" data-button="absolute" type="button">
                                      <i class="m-0 p-0 fas fa-search"></i>
                                    </button>
                                    <button class="btn bg-danger" id="btnAProduto" type="button">
                                      <i class="m-0 p-0 fas fa-trash"></i>
                                    </button>
                                  </div>
                                </div>
                              </div>
                              <div class="col-4 col-lg-4 form-group">
                                <label for="txtCor">Cor: </label>
                                <div class="input-group">
                                  <input type="text" class="input-default focus form-control" id="txtCor" name="txtCor" placeholder="Cor">
                                  <div class="input-group-append">
                                    <button class="btn bg-danger" id="btnCor" name="btnCor" data-button="absolute" type="button">
                                      <i class="m-0 p-0 fas fa-search"></i>
                                    </button>
                                    <button class="btn bg-danger" id="btnACor" type="button">
                                      <i class="m-0 p-0 fas fa-trash"></i>
                                    </button>
                                  </div>
                                </div>
                              </div>
                              <div class="col-4 col-lg-4 form-group">
                                <label for="txtTamanho">Tamanho: </label>
                                <div class="input-group">
                                  <input type="text" class="input-default focus form-control" id="txtTamanho" name="txtTamanho" placeholder="Tamanho">
                                  <div class="input-group-append">
                                    <button class="btn bg-danger" id="btnTamanho" name="btnTamanho" data-button="absolute" type="button">
                                      <i class="m-0 p-0 fas fa-search"></i>
                                    </button>
                                    <button class="btn bg-danger" id="btnATamanho" type="button">
                                      <i class="m-0 p-0 fas fa-trash"></i>
                                    </button>
                                  </div>
                                </div>
                              </div>
                              <div class="col-4 col-lg-4 form-group">
                                <label for="txtQualidade">Qualidade: *</label>
                                <div class="input-group">
                                  <input type="text" class="input-default focus form-control" id="txtQualidade" name="txtQualidade" placeholder="Qualidade">
                                  <div class="input-group-append">
                                    <button class="btn bg-danger" id="btnQualidade" name="btnQualidade" data-button="absolute" type="button">
                                      <i class="m-0 p-0 fas fa-search"></i>
                                    </button>
                                    <button class="btn bg-danger" id="btnAQualidade" type="button">
                                      <i class="m-0 p-0 fas fa-trash"></i>
                                    </button>
                                  </div>
                                </div>
                              </div>
                              <div class="col-4 col-lg-4 form-group">
                                <label for="txtDeposito">Depósito: *</label>
                                <div class="input-group">
                                  <input type="text" class="input-default focus form-control" id="txtDeposito" name="txtDeposito" placeholder="Depósito">
                                  <div class="input-group-append">
                                    <button class="btn bg-danger" id="btnDeposito" name="btnDeposito" data-button="absolute" type="button">
                                      <i class="m-0 p-0 fas fa-search"></i>
                                    </button>
                                    <button class="btn bg-danger" id="btnADeposito" type="button">
                                      <i class="m-0 p-0 fas fa-trash"></i>
                                    </button>
                                  </div>
                                </div>
                              </div>
                              <div class="form-group col-md-2 col-12" style="padding-top: 29px">
                                <button class="btn bg-danger btn-block" id="btnConsultar" name="btnConsultar" data-button="absolute" type="button">
                                  <label class="m-0 p-0">Consultar</label>
                                </button>
                              </div>
                              <div class="form-group col-md-2 col-12" style="padding-top: 29px">
                                <button class="btn btn-success btn-block" id="btnImprimir" name="btnImprimir" data-button="absolute" type="button">
                                  <label class="m-0 p-0">Imprimir</label>
                                </button>
                              </div>
                            </div>
                            <div class="form-row bordaProduto" id="divProduto">
                              <div class="col-md-12 col-12 table-responsive  mt-12">
                                <table id="tabela-produtos" class="table table-sm table-hover table-select table-condensed">
                                  <thead>
                                  </thead>
                                  <tbody>
                                  </tbody>
                                </table>
                              </div>
                            </div>
                            <div class="form-row" style="margin-top: 10px">
                              <div class="col-8 col-lg-8 form-group">
                                <label for="txtTpBaixa">Tipo de baixa *</label>
                                <div class="input-group">
                                  <input type="text" class="input-default focus form-control" id="txtTpBaixa" name="txtTpBaixa" placeholder="Tipo de baixa">
                                  <div class="input-group-append">
                                    <button class="btn bg-danger" id="btnTpBaixa" name="btnTpBaixa" data-button="absolute" type="button">
                                      <i class="m-0 p-0 fas fa-search"></i>
                                    </button>
                                    <button class="btn bg-danger" id="btnATpBaixa" type="button">
                                      <i class="m-0 p-0 fas fa-trash"></i>
                                    </button>
                                  </div>
                                </div>
                              </div>
                              <div class="form-group col-md-4 col-12" style="padding-top: 29px">
                                <button class="btn bg-danger btn-block" id="btnAcertarEstoque" name="btnAcertarEstoque" data-button="absolute" type="button">
                                  <label class="m-0 p-0">Acertar Estoque</label>
                                </button>
                              </div>
                            </div>
                          </div>
                        </div>
                      </div>
                    </form>
                  </div>
                </fieldset>
              </div>
            </div>
          </div>
        </div>
      </section>

    </div>
    <div id="modal-filtros" class="modal" tabindex="-1" role="dialog">
      <div class="modal-dialog modal-xl" role="document">
        <div class="modal-content" id="modalBody">
          <div class="modal-header">
            <h4 class="modal-title">Filtros</h4>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <div class="row">
              <div class="col-lg-6 col-12">
                <div class="row">
                  <div class="col-6">
                    <div class="group-default form-group">
                      <label for="dtIni">Data De:</label>
                      <div class="relative">
                        <input type="date" max="2500-12-31" value="" class="input-default focus form-control validate" id="txtDataDe" name="txtDataDe">
                      </div>
                    </div>
                  </div>
                  <div class="col-6">
                    <div class="group-default form-group">
                      <label for="dtFim">Data Até:</label>
                      <div class="relative">
                        <input type="date" max="2500-12-31" value="" class="input-default focus form-control validate" id="txtDataAte" name="txtDataAte">
                      </div>
                    </div>
                  </div>
                  <div class="col-6">
                    <label style="margin-bottom: .1rem!important;" data-error="wrong" data-success="right" for="txtCliente">Cliente:</label>
                    <div class="input-group">
                      <input type="text" class="input-default focus form-control" id="txtCliente" name="txtCliente" class="form-control" placeholder="Cliente">
                      <div class="input-group-append">
                        <button class="btn bg-danger" id="btn-cliente" name="btn-cliente" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                        <button class="btn bg-danger" id="btn-limpa-cliente" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                      </div>
                    </div>
                  </div>
                  <div class="col-6">
                    <label style="margin-bottom: .1rem!important;" data-error="wrong" data-success="right" for="txtNota">Fatura:</label>
                    <div class="input-group">
                      <input type="text" class="input-default focus form-control" id="txtNota" name="txtNota" class="form-control" placeholder="Fatura">
                      <div class="input-group-append">
                        <button class="btn bg-danger" id="btn-nota" name="btn-cliente" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                        <button class="btn bg-danger" id="btn-limpa-nota" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
              <div class="col-lg-3 col-12">
                <div class="form-group clearfix">
                  <h6>Status: </h6>
                  <div class="icheck-primary">
                    <input type="radio" id="radioPrimary1" value="0" name="rg_status" checked>
                    <label for="radioPrimary1">Todas
                    </label>
                  </div>
                  <div class="icheck-primary">
                    <input type="radio" id="radioPrimary2" value="1" name="rg_status">
                    <label for="radioPrimary2">Impressa
                    </label>
                  </div>
                  <div class="icheck-primary">
                    <input type="radio" id="radioPrimary3" value="2" name="rg_status">
                    <label for="radioPrimary3">Não Impressa</label>
                  </div>
                  <div class="icheck-primary">
                    <input type="radio" id="radioPrimary4" value="3" name="rg_status">
                    <label for="radioPrimary4">Canceladas
                    </label>
                  </div>
                  <div class="icheck-primary">
                    <input type="radio" id="radioPrimary5" value="4" name="rg_status">
                    <label for="radioPrimary5">Denegadas
                    </label>
                  </div>
                </div>
              </div>
              <div class="col-lg-3 col-12">
                <div class="form-group clearfix">
                  <h6>Protocolo: </h6>
                  <div class="icheck-primary">
                    <input type="radio" id="radioProtocolo1" value="0" name="rg_protocolo" checked>
                    <label for="radioProtocolo1">Todas
                    </label>
                  </div>
                  <div class="icheck-primary">
                    <input type="radio" id="radioProtocolo2" value="1" name="rg_protocolo">
                    <label for="radioProtocolo2">Com Protocolo
                    </label>
                  </div>
                  <div class="icheck-primary">
                    <input type="radio" id="radioProtocolo3" value="2" name="rg_protocolo">
                    <label for="radioProtocolo3">Sem Protocolo</label>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div class="modal-footer">
            <div class="row">
              <button id="btn-consultar" class="btn btn-primary btn-sisp" type="button">
                <span class="fas fa-search"></span> Consultar
              </button>
            </div>
          </div>
        </div>
      </div>
    </div>

    <!-- Control Sidebar -->
    <aside class="control-sidebar control-sidebar-dark">
      <!-- Control sidebar content goes here -->
    </aside>
    <!-- /.content-wrapper -->
    <?php
    include_once('../../footer.php');
    ?>
  </div>
  <!-- ./wrapper -->

  <script src="plugins/jquery/jquery.min.js?versao=3.232.21.1"></script>

  <script type="text/javascript" src="dist/js/jquery.dataTables.js?versao=3.232.21.1"></script>
  <script type="text/javascript" src="dist/js/dataTables.bootstrap4.min.js?versao=3.232.21.1"></script>
  <script type="text/javascript" src="dist/js/loadingoverlay.min.js?versao=3.232.21.1"></script>

  <!-- jQuery UI 1.11.4 -->
  <script src="plugins/jquery-ui/jquery-ui.min.js?versao=3.232.21.1"></script>
  <!-- Resolve conflict in jQuery UI tooltip with Bootstrap tooltip -->
  <script>
    $.widget.bridge('uibutton', $.ui.button)
  </script>
  <!-- Bootstrap 4 -->
  <script src="plugins/bootstrap/js/bootstrap.bundle.min.js?versao=3.232.21.1"></script>
  <!-- AdminLTE App -->
  <script src="dist/js/adminlte.min.js?versao=3.232.21.1"></script>

  <script src="dist/js/sisplan.js?versao=3.232.21.1"></script>
  <script type="text/javascript" src="utils/funcoes.js?versao=3.232.21.1"></script>
  <!-- SweetAlert2 -->
  <script src="plugins/sweetalert2/sweetalert2.min.js?versao=3.232.21.1"></script>
  <script src="plugins/toastr/toastr.min.js?versao=3.232.21.1"></script>
  <script src="dist/js/requisicoes.js?versao=3.232.21.1"></script>
  <script type="text/javascript" src="dist/js/sum().js?versao=3.232.21.1"></script>
  <script src="utils/cookies.js?versao=3.232.21.1"></script>
  <script src="dist/js/jquery.maskMoney.min.js?versao=3.232.21.1"></script>
  <script src="pages/loja/js/rotinas.js?versao=3.232.21.1"></script>
  <script src="dist/js/dataTables.keyTable.js?versao=3.232.21.1"></script>
  <script src="dist/js/driver.min.js?versao=3.232.21.1"></script>
  <script src="plugins/jquery-validation/jquery.validate.min.js?versao=3.232.21.1"></script>
  <script src="plugins/jquery-validation/additional-methods.min.js?versao=3.232.21.1"></script>
  <script type="text/javascript" src="config.js?versao=3.232.21.1"></script>
  <script>
    $(document).ready(async function() {
      if (getCookie('usuario') == "") {
        window.location.href = `${BASE_URI}/login`;
        return;
      }

      let usuario = getCookie('usuario');
      let empresa = getCookie('empresa');

      ipInterno = IP_INTERNO;
      ipExterno = IP_EXTERNO;
      basicAuth = BASIC_AUTH;

      const temAcesso = await temAcessoTela('CONFERENCIAINV');
      if (!temAcesso.resultado) {
        toastrAcesso(temAcesso, BASE_URI);
        return;
      }

      sArquivo = `${BASE_URI}/pages/conferencia_inv/conferencia_inv.js?versao=3.232.21.1`;
      insereJavaScriptPagina(sArquivo);
    });
  </script>
</body>

</html>