<?php include_once('../../../config.php') ?>

<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>Sisplan Web | Ordem de Serviço</title>
  <!-- Tell the browser to be responsive to screen width -->
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <!-- Theme style -->
  <link rel="stylesheet" href="../dist/css/adminlte.min.css?versao=3.232.21.1">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="../plugins/fontawesome-free/css/all.min.css?versao=3.232.21.1">
  <!-- Google Font: Source Sans Pro -->
  <link href='https://fonts.googleapis.com/css?family=Roboto:400,300,500,600,700,400italic' rel='stylesheet' type='text/css'>

  <link rel="stylesheet" type="text/css" href="../dist/css/dataTables.bootstrap4.min.css?versao=3.232.21.1" />

  <link href='../dist/css/bootstrap.min.css?versao=3.232.21.1'>
  <link rel="stylesheet" href="../dist/css/custom.css?versao=3.232.21.1">
  <link rel="stylesheet" href="../dist/css/sisplan.css?versao=3.232.21.1">
  <link rel="stylesheet" type="text/css" href="../plugins/datatables-keytable/css/keyTable.bootstrap4.min.css?versao=3.232.21.1">
  <link rel="stylesheet" type="text/css" href="../dist/css/responsive.bootstrap.min.css?versao=3.232.21.1">
  <link rel="shortcut icon" href="../favicon.ico">
  <!-- Toastr -->
  <link rel="stylesheet" href="../plugins/toastr/toastr.min.css?versao=3.232.21.1">
  <link rel="stylesheet" type="text/css" href="../dist/css/driver.min.css?versao=3.232.21.1" />
  <link rel="stylesheet" href="../dist/css/jquery-ui.css?versao=3.232.21.1">
  <link rel="stylesheet" href="../dist/css/cadastro.css?versao=3.232.21.1">
  <!-- Google Font: Source Sans Pro -->
  <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">

  <style>
    #progressbar li {
      list-style-type: none;
      font-size: 12px;
      width: 33.33%;
      float: left;
      position: relative
    }

    .card-totais {
      margin-top: 2%;
    }

    #txtDados {
      padding-top: .7%;
      padding-left: .85%;
    }

    .input-group-append>a>i {
      margin-left: 0 !important;
      padding-left: 5px;
      padding-right: 5px;
    }

    .focus:read-only:focus {
      border-color: #aa1212 !important;
    }
  </style>

</head>

<body class="sidebar-mini layout-fixed">
  <div class="wrapper">
    <?php
    include_once('../../../menu.php');
    ?>

    <div id="myModal" class="modal" tabindex="-1" role="dialog">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 id="myModalLabel" class="modal-title"></h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <p id="myModalText"></p>
          </div>
          <div class="modal-footer">
            <button id="btnYes" type="button" class="btn btn-primary">Sim</button>
            <button id="btnNo" type="button" class="btn btn-secondary" data-dismiss="modal">Não</button>
          </div>
        </div>
      </div>
    </div>

    <div class="content-wrapper">
      <section class="content">
        <div class="container-fluid" id="grad1">
          <div class="row justify-content-center mt-0">
            <div class="col-10 text-center p-0 mt-3 mb-2">
              <div class="card px-0 pt-4 pb-0 mt-3 mb-3">
                <div class="card-header text-center flex" style="border: none!important;box-shadow:none!important;">
                  <h2>Ordem de Serviço
                    <button title="Tutorial" type="button" class="btn btn-info btn-sm ml-2" style="color: white;" id="tutorial">
                      <i class="fas fa-question-circle"></i>
                    </button>
                  </h2>
                </div>

                <div class="row">
                  <div class="col-md-12 mx-0">
                    <form id="msform">
                      <ul id="progressbar">
                        <li class="active" id="account"><strong>Geral</strong></li>
                        <li id="payment"><strong>Itens</strong></li>
                        <li id="confirm"><strong>Horas</strong></li>
                      </ul>
                      <p>Preencha os dados e clique em avançar até a conclusão da ordem de serviço</p>
                      <fieldset>
                        <div class="form-card" id="tourGeral">
                          <h2 class="fs-title"> Dados Gerais </h2>
                          <div class="row">
                            <div class="col-lg-8 col-8 form-group">
                              <label data-error="wrong" data-success="right" for="txtCliente">Cliente *</label>
                              <div class="input-group">
                                <input type="text" class="input-default focus form-control" id="txtCliente" name="txtCliente" class="form-control" placeholder="Cliente">
                                <input type="text" id="txtCNPJ" class="d-none">
                                <div class="input-group-append">
                                  <button class="btn bg-danger" id="btn-cliente" name="btn-cliente" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                  <button class="btn bg-danger" id="btn-limpa-cliente" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                </div>
                              </div>
                            </div>

                            <div class="col-lg-4  col-4 form-group">
                              <label data-error="wrong" data-success="right" for="txtEnderecoEntrega">Endereço entrega</label>
                              <div class="input-group">
                                <select style="width:100%;" class="form-control select2 select2-danger focus" data-dropdown-css-class="select2-danger" id="dropdown" class="custom-select focus">
                                  <!-- <select class="input-default focus custom-select" id="dropdown"> -->
                                  <option value="0" id="enderecoPadrao" title="Endereço Padrão" class="active">Padrão</option>
                                  <option value="1" id="enderecoEntrega" title="Endereço de Entrega">Entrega</option>
                                  <option value="2" id="enderecoCobranca" title="Endereço de Cobrança">Cobrança</option>
                                  <option value="3" id="enderecoEmpresa" title="Endereço de Empresa">Empresa</option>
                                </select>
                              </div>
                            </div>

                            <div class="col-lg-12 col-12 form-group">
                              <label data-error="wrong" data-success="right" for="txtRepresentante">Representante</label>
                              <div class="input-group">
                                <input type="text" class="input-default focus form-control" id="txtRepresentante" name="txtRepresentante" class="form-control" placeholder="Representante">
                                <div class="input-group-append">
                                  <button class="btn bg-danger" id="btn-representante" name="btn-representante" data-button="absolute" type="button">
                                    <i class="m-0 p-0 fas fa-search"></i>
                                  </button>
                                  <button class="btn bg-danger" id="btn-limpa-representante" type="button">
                                    <i class="m-0 p-0 fas fa-trash"></i>
                                  </button>
                                </div>
                              </div>
                            </div>

                            <div class="col-lg-6  col-12 form-group">
                              <label data-error="wrong" data-success="right" for="txtNatureza">Natureza *</label>
                              <div class="input-group">
                                <input type="text" class="input-default focus form-control" id="txtNatureza" name="txtNatureza" class="form-control" placeholder="Natureza">
                                <div class="input-group-append">
                                  <button class="btn bg-danger" id="btn-natureza" name="btn-natureza" data-button="absolute" type="button">
                                    <i class="m-0 p-0 fas fa-search"></i>
                                  </button>
                                  <button class="btn bg-danger" id="btn-limpa-natureza" type="button">
                                    <i class="m-0 p-0 fas fa-trash"></i>
                                  </button>
                                </div>
                              </div>
                            </div>

                            <div class="col-lg-6  col-12 form-group">
                              <label data-error="wrong" data-success="right" for="txtReducao">Operação </label>
                              <div class="input-group">
                                <input type="text" class="input-default focus form-control" id="txtReducao" name="txtReducao" class="form-control" placeholder="Operação">
                                <div class="input-group-append">
                                  <button class="btn bg-danger" id="btnReducao" name="btnReducao" data-button="absolute" type="button">
                                    <i class="m-0 p-0 fas fa-search"></i>
                                  </button>
                                  <button class="btn bg-danger" id="btnAReducao" type="button">
                                    <i class="m-0 p-0 fas fa-trash"></i>
                                  </button>
                                </div>
                              </div>
                            </div>

                            <div class="col-lg-6  col-12 form-group">
                              <label data-error="wrong" data-success="right" for="txtDeposito">Depósito *</label>
                              <div class="input-group">
                                <input type="text" class="input-default focus form-control" id="txtDeposito" name="txtDeposito" class="form-control" placeholder="Depósito">
                                <div class="input-group-append">
                                  <button class="btn bg-danger" id="btnDeposito" name="btnDeposito" data-button="absolute" type="button">
                                    <i class="m-0 p-0 fas fa-search"></i>
                                  </button>
                                  <button class="btn bg-danger" id="btnADeposito" type="button">
                                    <i class="m-0 p-0 fas fa-trash"></i>
                                  </button>
                                </div>
                              </div>
                            </div>

                            <div class="col-lg-3  col-12 form-group">
                              <label data-error="wrong" data-success="right" for="txtDataEmissao">Data emissão</label>
                              <div class="input-group">
                                <input type="date" max="2500-12-31" value="" class="input-default focus form-control" id="txtDataEmissao" name="txtDataEmissao" class="form-control" placeholder="Comissão 1">
                              </div>
                            </div>

                            <div class="col-lg-3  col-12 form-group">
                              <label data-error="wrong" data-success="right" for="txtDataSaida">Data saída</label>
                              <div class="input-group">
                                <input type="date" max="2500-12-31" value="" class="input-default focus form-control" id="txtDataSaida" name="txtDataSaida" class="form-control" placeholder="Comissão 1">
                              </div>
                            </div>

                            <div class="col-lg-3  col-12 form-group">
                              <label data-error="wrong" data-success="right" for="txtEspecie">Espécie</label>
                              <div class="input-group">
                                <input type="text" class="input-default focus form-control" id="txtEspecie" name="txtEspecie" class="form-control" placeholder="Espécie">
                              </div>
                            </div>

                            <div class="col-lg-3  col-12 form-group">
                              <label data-error="wrong" data-success="right" for="txtVolumes">Volumes</label>
                              <div class="input-group">
                                <input type="text" min="0" value="0" class="input-default focus form-control" id="txtVolumes" name="txtVolumes" class="form-control" placeholder="Volumes">
                              </div>
                            </div>

                            <div class="col-lg-3  col-12 form-group">
                              <label data-error="wrong" data-success="right" for="txtPesoBruto">Peso Bruto</label>
                              <div class="input-group">
                                <input type="text" mmin="0" value="0" class="input-default focus form-control" id="txtPesoBruto" name="txtPesoBruto" class="form-control" placeholder="Peso Bruto">
                              </div>
                            </div>

                            <div class="col-lg-3  col-12 form-group">
                              <label data-error="wrong" data-success="right" for="txtPesoLiq">Peso Líq.</label>
                              <div class="input-group">
                                <input type="text" min="0" value="0" class="input-default focus form-control" id="txtPesoLiq" name="txtPesoLiq" class="form-control" placeholder="Peso Líq.">
                              </div>
                            </div>

                            <!-- <div class="col-lg-3  col-12 form-group">
                                                            <label data-error="wrong" data-success="right" for="txtFrete">Frete</label>
                                                            <div class="input-group">
                                                                <input type="text" min="0" value="0" class="input-default focus form-control" id="txtFrete" name="txtFrete" class="form-control" placeholder="Frete">
                                                            </div>
                                                        </div> -->

                            <div class="col-lg-6 col-12 m-6 form-group">
                              <label data-error="wrong" data-success="right" for="txtTransportador">Frete por Conta</label>
                              <select style="width:100%;" class="form-control select2 select2-danger focus" data-dropdown-css-class="select2-danger" id="rgTransportador" class="custom-select focus">
                                <option value="">Selecione uma opção</option>
                                <option value="0">0 - Contratação do Frete por conta do Remetente (CIF)</option>
                                <option value="1">1 - Contratação do Frete por conta do Destinatário (FOB)</option>
                                <option value="2">2 - Contratação do Frete por conta de Terceiros</option>
                                <option value="3">3 - Transporte Próprio por conta do Remetente</option>
                                <option value="4">4 - Transporte Próprio por conta do Destinatário</option>
                                <option value="8">8 - Por Conta do Destinatário na NF</option>
                                <option selected value="9">9 - Sem Ocorrência de Transporte</option>
                              </select>
                            </div>

                            <div class="col-lg-6 col-12 m-6 form-group">
                              <label data-error="wrong" data-success="right" for="txtPresenca">Presença</label>
                              <select style="width:100%;" class="form-control select2 select2-danger focus" data-dropdown-css-class="select2-danger" id="rgPresenca" class="custom-select focus">
                                <option value="">Selecionar presença</option>
                                <option value="0">0 - Não se aplica (por exemplo, Nota Fiscal
                                  complementar ou de ajuste)</option>
                                <option value="1">1 - Operação presencial</option>
                                <option value="2">2 - Operação não presencial, pela Internet
                                </option>
                                <option value="3">3 - Operação não presencial, Teleatendimento
                                </option>
                                <option value="4">4 - NFC-e em operação com entrega a domicílio
                                </option>
                                <option value="5">5 - Operação presencial, fora do estabelecimento
                                </option>
                                <option value="9">9 - Operação não presencial, outros</option>
                              </select>
                            </div>

                            <div class="col-lg-12  col-12 form-group">
                              <label data-error="wrong" data-success="right" for="txtTransportadora">Transportadora</label>
                              <div class="input-group">
                                <input type="text" class="input-default focus form-control" id="txtTransportadora" name="txtTransportadora" class="form-control" placeholder="Transportadora">
                                <div class="input-group-append">
                                  <button class="btn bg-danger" id="btn-transportadora" name="btn-transportadora" data-button="absolute" type="button">
                                    <i class="m-0 p-0 fas fa-search"></i>
                                  </button>
                                  <button class="btn bg-danger" id="btn-limpa-transportadora" type="button">
                                    <i class="m-0 p-0 fas fa-trash"></i>
                                  </button>
                                </div>
                              </div>
                            </div>
                            <div class="col-lg-12  col-12 form-group">
                              <label data-error="wrong" data-success="right" for="txtDados">Dados Adicionais</label>
                              <textarea style="resize: none" id="txtDados" placeholder="Dados adicionais" class="input-default focus form-control" rows="4"></textarea>
                            </div>
                          </div>
                        </div>
                        <input type="button" id="avancar1" name="next" class="next action-button" value="Avançar" />
                      </fieldset>
                      <fieldset>
                        <div class="form-card">

                          <div class="row">
                            <div class="col-lg-1">
                              <h2 class="fs-title">Itens</h2>
                            </div>
                            <div class="col-sm-3">
                              <input type="text" placeholder="Barra" class="input-default focus" id="txtBarraBipar" name="txtBarraBipar">
                            </div>
                            <div class="col-lg-2">
                              <div class="input-group">
                                <input type="text" class="input-default focus form-control d-none" id="txtPercIndice" name="txtPercIndice" placeholder="Índice">
                              </div>
                            </div>
                            <div class="col-lg-3">
                            </div>
                            <div class="col-lg-3" style="padding-top: .6%">
                              <input type="checkbox" id="movEstoqueCheck"> <label for="movEstoqueCheck"> MOVIMENTAR ESTOQUE</label>    
                            </div>
                          </div>

                          <hr>
                          <div id="items-wrap" class="table-wrap">
                          </div>

                          <h2 class="fs-title" style="margin-top: 2%">Totais</h2>
                          <hr>
                          <div class="row card-totais" style="margin-bottom: 2.5%">

                            <!-- <div class="col-lg-3  col-12 form-group">
                                                            <label data-error="wrong" data-success="right" for="txtPesoBruto">Peso Bruto</label>
                                                            <div class="input-group">
                                                                <input type="text" mmin="0" value="0" class="input-default focus form-control" id="txtPesoBruto" name="txtPesoBruto" class="form-control" placeholder="Peso Bruto">
                                                            </div>
                                                        </div> -->
                            <div class="col-sm-4 col-6">
                              <div style="padding-left: 15%; padding-right: 15%">
                                <label data-error="wrong" data-success="right" for="txtDespesaTotal">Despesa</label>
                                <div class="input-group">
                                  <input type="text" value="0.00" class="input-default focus form-control maskItens" id="txtDespesaTotal" name="txtDespesaTotal" placeholder="0.00">
                                </div>
                              </div>
                            </div>
                            <div class="col-sm-4 col-6">
                              <div style="padding-left: 15%; padding-right: 15%">
                                <label data-error="wrong" data-success="right" for="txtFreteTotal">Frete</label>
                                <div class="input-group">
                                  <input type="text" value="0.00" class="input-default focus form-control maskItens" id="txtFreteTotal" name="txtFreteTotal" placeholder="0.00">
                                </div>
                              </div>
                            </div>
                            <div class="col-sm-4 col-6">
                              <div style="padding-left: 15%; padding-right: 15%">
                                <label data-error="wrong" data-success="right" for="txtDescontoTotal">Desconto</label>
                                <div class="input-group">
                                  <input type="text" value="0.00" class="input-default focus form-control maskItens" id="txtDescontoTotal" name="txtDescontoTotal" placeholder="0.00">
                                </div>
                              </div>
                            </div>
                          </div>
                          <hr>
                          <div class="row card-totais">

                            <div class="col-sm-12 col-12">
                              <!-- LINHA 1 -->
                              <div class="row d-flex justify-content-center">
                                <div class="col-sm-2 col-6">
                                  <div class="description-block border-right">
                                    <h5 id="txtValorICMS" class="description-header">R$ 0,00</h5>
                                    <span>Valor ICMS</span>
                                  </div>
                                </div>
                                <div class="col-sm-2 col-6">
                                  <div class="description-block border-right">
                                    <h5 id="txtTotalIPI" class="description-header">R$ 0,00</h5>
                                    <span>Valor IPI</span>
                                  </div>
                                </div>
                                <div class="col-sm-2 col-6">
                                  <div class="description-block border-right">
                                    <h5 id="txtValorICMSST" class="description-header">R$ 0,00</h5>
                                    <span>Valor ICMSST</span>
                                  </div>
                                </div>
                                <div class="col-sm-2 col-6">
                                  <div class="description-block border-right">
                                    <h5 id="txtValorPIS" class="description-header">R$ 0,00</h5>
                                    <span>Valor PIS</span>
                                  </div>
                                </div>
                                <div class="col-sm-2 col-6">
                                  <div class="description-block">
                                    <h5 id="txtValorCofins" class="description-header">R$0,00</h5>
                                    <span>Valor Cofins</span>
                                  </div>
                                </div>
                              </div>
                              <!-- LINHA 2 -->
                              <div class="row d-flex justify-content-center">
                                <div class="col-sm-2 col-6">
                                  <div class="description-block border-right">
                                    <h5 id="txtBaseICMS" class="description-header">R$ 0,00</h5>
                                    <span>Base ICMS</span>
                                  </div>
                                </div>
                                <div class="col-sm-2 col-6">
                                  <div class="description-block border-right">
                                    <h5 id="txtBaseIPI" class="description-header">R$ 0,00</h5>
                                    <span>Base IPI</span>
                                  </div>
                                </div>
                                <div class="col-sm-2 col-6">
                                  <div class="description-block border-right">
                                    <h5 id="txtBaseICMSST" class="description-header">R$ 0,00</h5>
                                    <span>Base ICMSST</span>
                                  </div>
                                </div>
                                <div class="col-sm-2 col-6">
                                  <div class="description-block border-right">
                                    <h5 id="txtBasePISCOFINS" class="description-header">R$ 0,00</h5>
                                    <span>Base PIS/COFINS</span>
                                  </div>
                                </div>
                                <div class="col-sm-2 col-6">
                                  <div class="description-block">
                                    <h5 id="txtQuantidade" class="description-header">0</h5>
                                    <span>Quantidade</span>
                                  </div>
                                </div>
                              </div>
                              <!-- LINHA 3 -->
                              <div class="row d-flex justify-content-center">
                                <div class="col-sm-2 col-6">
                                  <div class="description-block border-right">
                                    <h5 id="txtValorDespesa" class="description-header">R$ 0,00</h5>
                                    <span>Valor Despesa</span>
                                  </div>
                                </div>
                                <div class="col-sm-2 col-6">
                                  <div class="description-block border-right">
                                    <h5 id="txtValorFrete" class="description-header">R$ 0,00</h5>
                                    <span>Valor Frete</span>
                                  </div>
                                </div>
                                <div class="col-sm-2 col-6">
                                  <div class="description-block">
                                    <h5 id="txtDesconto" class="description-header">R$ 0,00</h5>
                                    <span>Desconto</span>
                                  </div>
                                </div>
                                <div class="col-sm-2 col-6">
                                  <div class="description-block border-right">
                                    <h5 id="txtValorBruto" class="description-header">R$ 0,00</h5>
                                    <span>Valor Itens</span>
                                  </div>
                                </div>
                                <div class="col-sm-2 col-6">
                                  <div class="description-block">
                                    <h5 id="txtValorNota" class="description-header">R$ 0,00</h5>
                                    <span>Valor Nota</span>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </div>
                          <hr>
                        </div>

                        <input type="button" id="avancarItens" name="make_payment" class="next action-button" value="Avançar" />
                        <input type="button" name="previous" class="previous action-button-previous" value="Voltar" />
                        <input type="button" id="btnDesconto" name="btnDesconto" style="background-color: #0496d8; background: #0496d8" class="action-button d-none" value="Desconto" />
                        <input type="button" id="btnFrete" name="btnFrete" style="background-color: #5F9EA0; background: #5F9EA0" class="action-button d-none" value="Frete" />
                        <input type="button" id="btnDespesa" name="btnDespesa" style="background-color: #B8860B; background: #B8860B" class="action-button d-none" value="Despesa" />

                      </fieldset>
                      <fieldset>
                        <div class="form-card">
                          <h2 class="fs-title text-center">Conclusão</h2> <br><br>
                          <div class="row justify-content-center">
                            <input type="button" id="gravar" class="btn btn-danger" value="Gravar">
                          </div>
                        </div>
                        <input type="button" name="previous" id="ultimoVoltar" class="previous action-button-previous" value="Voltar" />
                      </fieldset>
                    </form>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </section>
    </div>
  </div>

  <div class="modal fade" id="modalProduto" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-xl">
      <div class="modal-content">
        <div class="modal-header">
          <h4 id="modalProduto-titulo" class="modal-title">Pesquisa Item
            <label style="font-size: 60%" class="container escondeRadio">
              <input type="radio" checked="checked" id="radioProduto" name="tipoFat">
              <span class="checkmark"></span>
               Produto</label>
            <label style="font-size: 60%; margin-left: -2.5%" class="container escondeRadio">
              <input type="radio" id="radioMaterial" name="tipoFat">
              <span class="checkmark"></span>
               Material</label>
            <label style="font-size: 60%; padding-top: 25px; min-width: 180px;">
              <input type="checkbox" id="cbContemEstoque">
              <span class="checkmark"></span>
               Somente c/ Estoque</label>
          </h4>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body">
          <div class="row">
            <div class="col-9">
              <div class="row">
                <div class="col-sm-3">
                  <input type="text" placeholder="Barra" autocomplete="off" class="input-default focus" id="txtProdutoBarra" name="txtProdutoBarra">
                </div>
                <div class="col-sm-3">
                  <input class="d-none" id="idLinha" />
                  <input type="text" placeholder="Codigo" class="input-default focus" id="txtProdutoCodigo" name="txtProdutoCodigo">
                </div>
                <div class="col-sm-3">
                  <input type="text" placeholder="Descrição" class="input-default focus" id="txtProdutoDescricao" name="txtProdutoDescricao">
                </div>
                <div class="col-sm-3">
                  <input type="text" placeholder="Codigo2" class="input-default focus" id="txtProdutoCodigo2" name="txtProdutoCodigo2">
                </div>
              </div>
            </div>
            <div class="col-sm-3" style="text-align:center">
              <button type="button" class="btn btn-info focus" id="btnConsultarProduto" name="btnConsultarProduto">
                <i class='fas fa-search'></i> Consultar
              </button>
            </div>
            <div class="col-sm-12 table-responsive" style="margin-top: 2%;">
              <table style="width:100%" width="100%" id="tabelaProdutos" class="display table table-sm">
                <!-- <thead>
                                        </thead>
                                        <tbody>
                                        </tbody> -->
              </table>
            </div>
          </div>
        </div>
        <div class="modal-footer">
          <div class="row">
            <div class="col-sm-12">
              <button id="btn_confirmar_produto" class="btn btn-danger"> Confirmar </button>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <div id="modalTribProd" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div id="modalProdutoTrib" class="modal-dialog modal-lg">
      <div class="modal-content">
        <div class="modal-header">
          <h4 class="modal-title">Tributações</h4>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body">
          <div class="row">
            <input type="text" class="input-default form-control d-none" id="txtIndiceAlteracao" name="txtIndiceAlteracao">
            <div class="col-lg-6 col-sm-12 form-group">
              <label data-error="wrong" data-success="right" for="txtEnquadra">Enquadramento IPI</label>
              <div class="input-group">
                <input type="text" class="input-default focus form-control" id="txtEnquadra" name="txtEnquadra" class="form-control" placeholder="Enquadramento IPI">
                <div class="input-group-append">
                  <button class="btn bg-danger" id="btnEnquadra" name="btnEnquadra" data-button="absolute" type="button">
                    <i class="m-0 p-0 fas fa-search"></i>
                  </button>
                  <button class="btn bg-danger" id="btnAEnquadra" type="button">
                    <i class="m-0 p-0 fas fa-trash"></i>
                  </button>
                </div>
              </div>
            </div>
            <div class="col-lg-6 col-sm-12 form-group">
              <label data-error="wrong" data-success="right" for="txtCsosn">CSOSN</label>
              <div class="input-group">
                <input type="text" class="input-default focus form-control" id="txtCsosn" name="txtCsosn" class="form-control" placeholder="CSOSN">
                <div class="input-group-append">
                  <button class="btn bg-danger" id="btnCsosn" name="btnCsosn" data-button="absolute" type="button">
                    <i class="m-0 p-0 fas fa-search"></i>
                  </button>
                  <button class="btn bg-danger" id="btnACsosn" type="button">
                    <i class="m-0 p-0 fas fa-trash"></i>
                  </button>
                </div>
              </div>
            </div>
            <div class="col-lg-6 col-sm-12 form-group">
              <label data-error="wrong" data-success="right" for="txtCstIcms">CST ICMS</label>
              <div class="input-group">
                <input type="text" class="input-default focus form-control" id="txtCstIcms" name="txtCstIcms" class="form-control" placeholder="CST ICMS">
                <div class="input-group-append">
                  <button class="btn bg-danger" id="btnCstIcms" name="btn-representante" data-button="absolute" type="button">
                    <i class="m-0 p-0 fas fa-search"></i>
                  </button>
                  <button class="btn bg-danger" id="btnACstIcms" type="button">
                    <i class="m-0 p-0 fas fa-trash"></i>
                  </button>
                </div>
              </div>
            </div>
            <div class="col-lg-6 col-sm-12 form-group">
              <label data-error="wrong" data-success="right" for="txtCstIpi">CST IPI</label>
              <div class="input-group">
                <input type="text" class="input-default focus form-control" id="txtCstIpi" name="txtCstIpi" class="form-control" placeholder="CST IPI">
                <div class="input-group-append">
                  <button class="btn bg-danger" id="btnCstIpi" name="btn-representante" data-button="absolute" type="button">
                    <i class="m-0 p-0 fas fa-search"></i>
                  </button>
                  <button class="btn bg-danger" id="btnACstIpi" type="button">
                    <i class="m-0 p-0 fas fa-trash"></i>
                  </button>
                </div>
              </div>
            </div>
            <div class="col-lg-6 col-sm-12 form-group">
              <label data-error="wrong" data-success="right" for="txtCstPis">CST PIS</label>
              <div class="input-group">
                <input type="text" class="input-default focus form-control" id="txtCstPis" name="txtCstPis" class="form-control" placeholder="CST PIS">
                <div class="input-group-append">
                  <button class="btn bg-danger" id="btnCstPis" name="btn-representante" data-button="absolute" type="button">
                    <i class="m-0 p-0 fas fa-search"></i>
                  </button>
                  <button class="btn bg-danger" id="btnACstPis" type="button">
                    <i class="m-0 p-0 fas fa-trash"></i>
                  </button>
                </div>
              </div>
            </div>
            <div class="col-lg-6 col-sm-12 form-group">
              <label data-error="wrong" data-success="right" for="txtCstCofins">CST COFINS</label>
              <div class="input-group">
                <input type="text" class="input-default focus form-control" id="txtCstCofins" name="txtCstCofins" class="form-control" placeholder="CST COFINS">
                <div class="input-group-append">
                  <button class="btn bg-danger" id="btnCstCofins" name="btn-representante" data-button="absolute" type="button">
                    <i class="m-0 p-0 fas fa-search"></i>
                  </button>
                  <button class="btn bg-danger" id="btnACstCofins" type="button">
                    <i class="m-0 p-0 fas fa-trash"></i>
                  </button>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="modal-footer">
          <div class="row">
            <div class="col-sm-12">
              <button id="btnConfirmarTrib" class="btn btn-danger"> Confirmar </button>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <?php
  include_once('../../../footer.php');
  ?>

  <!-- Control Sidebar -->
  <aside class="control-sidebar control-sidebar-dark">
    <!-- Control sidebar content goes here -->
  </aside>
  <!-- /.control-sidebar -->
  </div>

  <!-- jQuery -->
  <script src="../plugins/jquery/jquery.min.js?versao=3.232.21.1"></script>
  <!-- jQuery UI 1.11.4 -->
  <script src="../plugins/jquery-ui/jquery-ui.min.js?versao=3.232.21.1"></script>
  <script type="text/javascript" src="../dist/js/jquery.dataTables.js?versao=3.232.21.1"></script>
  <script type="text/javascript" src="../dist/js/dataTables.bootstrap4.min.js?versao=3.232.21.1"></script>
  <!-- SweetAlert2 -->
  <script src="../plugins/sweetalert2/sweetalert2.min.js?versao=3.232.21.1"></script>
  <script src="../plugins/toastr/toastr.min.js?versao=3.232.21.1"></script>

  <!-- Resolve conflict in jQuery UI tooltip with Bootstrap tooltip -->
  <script>
    $.widget.bridge('uibutton', $.ui.button);
  </script>

  <script src="../plugins/bootstrap/js/bootstrap.bundle.min.js?versao=3.232.21.1"></script>

  <script src="../dist/js/adminlte.min.js?versao=3.232.21.1"></script>

  <script src="../dist/js/requisicoes.js?versao=3.232.21.1"></script>
  <script src="../dist/js/cliente/entidade.js?versao=3.232.21.1"></script>
  <script src="../dist/js/loadingoverlay.min.js?versao=3.232.21.1"></script>
  <script src="../dist/js/valida_cpf_cnpj.js?versao=3.232.21.1"></script>
  <script src="../plugins/jquery-validation/jquery.validate.min.js?versao=3.232.21.1"></script>
  <script src="../dist/js/sisplan.js?versao=3.232.21.1"></script>
  <script src="../dist/js/popper.min.js?versao=3.232.21.1"></script>
  <script src="../dist/js/tippy-bundle.umd.js?versao=3.232.21.1"></script>
  <script src="../utils/funcoes.js?versao=3.232.21.1"></script>
  <script src="../dist/js/jquery.maskMoney.min.js?versao=3.232.21.1"></script>
  <script src="../utils/cookies.js?versao=3.232.21.1"></script>
  <script src="../dist/js/driver.min.js?versao=3.232.21.1"></script>
  <script src="../dist/js/dataTables.keyTable2.js?versao=3.232.21.1"></script>
  <script type="text/javascript" src="../config.js?versao=3.232.21.1"></script>
  <!-- Production -->
  <script type="text/javascript">
    $(document).ready(async function() {

      if (getCookie('usuario') == "") {
        window.location.href = `${BASE_URI}/login`;
        return;
      }

      let usuario = getCookie('usuario');
      let empresa = getCookie('empresa');

      ipInterno = IP_INTERNO;
      ipExterno = IP_EXTERNO;
      basicAuth = BASIC_AUTH;

      const temAcesso = await temAcessoTela('ORDEM_SERVICO');
      if (!temAcesso.resultado) {
        toastrAcesso(temAcesso, BASE_URI);
        return;
      }

      sArquivo = `${BASE_URI}/pages/ordemservico/cadastro_os/os.js?versao=3.232.21.1`;
      insereJavaScriptPagina(sArquivo);

    });
  </script>
</body>

</html>