<?php include_once('../../../config.php') ?>

<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>Sisplan Web | Preço</title>
    <!-- Tell the browser to be responsive to screen width -->
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- Font Awesome -->
    <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css?versao=3.232.21.1">
    <!-- Ionicons -->
    <link rel="stylesheet" href="https://code.ionicframework.com/ionicons/2.0.1/css/ionicons.min.css">

    <!-- Theme style -->
    <link rel="stylesheet" href="dist/css/adminlte.min.css?versao=3.232.21.1">
    <link rel="stylesheet" href="dist/css/custom.css?versao=3.232.21.1">

    <!-- Google Font: Source Sans Pro -->
    <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">
    <link rel="stylesheet" type="text/css" href="plugins/datatables-keytable/css/keyTable.bootstrap4.min.css?versao=3.232.21.1">
    <link rel="stylesheet" href="dist/css/sisplan.css?versao=3.232.21.1">
    <link rel="stylesheet" type="text/css" href="dist/css/dataTables.bootstrap4.min.css?versao=3.232.21.1" />
    <link rel="stylesheet" href="dist/css/select.bootstrap.min.css?versao=3.232.21.1">
    <link rel="stylesheet" href="plugins/toastr/toastr.min.css?versao=3.232.21.1">
    <link rel="shortcut icon" href="favicon.ico">

    <link rel="stylesheet" type="text/css" href="dist/css/driver.min.css?versao=3.232.21.1" />
    <!-- AutoComplete -->
    <link rel="stylesheet" href="dist/css/jquery-ui.css?versao=3.232.21.1">

    <style>
        .form-control:disabled,
        .form-control[readonly] {
            background-color: #f7f7f7;
            opacity: 1;
        }

        #msform {
            text-align: start;
            position: relative;
        }

        #msform .action-button {
            width: 100px;
            background-color: #dc3545;
            font-weight: bold;
            color: white;
            border: 1px solid transparent;
            border-radius: .3rem;
            cursor: pointer;
            padding: .5rem 1rem;
            margin: 10px 0px 10px 5px;
            float: left
        }

        body {
            font-size: 14px;
            line-height: 1.42857143;
            font-weight: 400;
            height: 100%;
            padding: 0;
            margin: 0;
            background: #f0f4fa;
            color: #647d8a;
        }

        table {
            width: 100%;
        }

        .ui-autocomplete-loading {
            background: white url("./dist/img/ui-anim_basic_16x16.gif") center center no-repeat;
        }

        #modalItens.modal-fullscreen .modal-dialog {
            max-width: none !important;
            max-height: none !important;
            margin: 0 !important;
            height: 100vh !important;
            padding: 0 !important;
        }

        #modalItens.modal-fullscreen .modal-dialog {
            max-width: none !important;
            margin: 0 !important;
            height: 100vh !important;
            padding: 0 !important;
        }

        #modalItens.modal-fullscreen .modal-content {
            max-height: none !important;
            max-width: none !important;
            height: 100vh !important;
            padding: 0 !important;
        }

        #modalItens.modal-fullscreen .modal-body {
            height: 100vh !important;
            padding: 0 !important;
        }

        #modalItens.modal {
            padding: 0 !important;
        }

        .modal-header {
            border-bottom: 0px;
        }

        #tabelaProdutosConsultaEstoque_length {
            display: none;
        }

        #tabelaProdutosConsultaEstoque_filter {
            display: none;
        }

        #tabelaProdutosConsultaEstoque_info {
            display: none;
        }

        #tabelaProdutosConsultaEstoque_pagination {
            display: none;
        }

        .table.dataTable tbody td {
            white-space: nowrap;
            text-overflow: ellipsis;
            overflow: hidden;
        }

        .barcode-message {
            text-align: center;
        }

        .barcode-canvas {
            position: relative;
            overflow: hidden;
            padding-bottom: 56.25%;
            line-height: 0;
        }

        .barcode-canvas video {
            z-index: 10;
            position: absolute;
            transform: translate(-50%, -50%);
            left: 50%;
            right: 50%;
            top: 50%;
            bottom: 50%;
            background: white;
        }

        .barcode-canvas canvas.drawingBuffer {
            z-index: 20;
            position: absolute;
            left: 0;
            right: 0;
            top: 0;
            bottom: 0;
            width: 100%;
            height: 100%;
        }

        .barcode-canvas br {
            display: none;
        }
    </style>
</head>

<body class="hold-transition sidebar-mini layout-fixed">
    <div class="wrapper">

        <?php
        include_once('../../../menu.php');
        ?>

        <!-- Content Wrapper. Contains page content -->
        <div class="content-wrapper">
            <!-- Content Header (Page header) -->
            <div class="content-header">
                <div class="container-fluid">
                    <div class="row mb-2">
                        <div class="col-sm-6 flex">
                            <h1 class='m-0 text-dark'>Consulta de preços</h1>
                            <button type="button" class="btn btn-info btn-sm ml-2" style="color: white;" id="tutorial">
                                <i class="fas fa-question-circle"></i>
                            </button>
                        </div><!-- /.col -->
                        <div class="col-sm-6">
                            <ol class="breadcrumb float-sm-right">
                                <li class="breadcrumb-item"><a href="./index" id="aInicio">Início</a></li>
                                <li class="breadcrumb-item"><a href="./loja" id="aLoja">Loja</a></li>
                                <li class="breadcrumb-item active" id="liPreco">Preços</li>
                            </ol>
                        </div><!-- /.col -->
                    </div><!-- /.row -->
                </div><!-- /.container-fluid -->
            </div>
            <!-- /.content-header -->

            <!-- Main content -->
            <section class="content">
                <div class="container-fluid p-4">
                    <div class="row">
                        <div id="element" class="col-sm-12">
                            <button id="btn-filtros" class="btn btn-success btn-sisp mb-2" type="button">
                                <span class="fas fa-filter"></span> Filtros
                            </button>
                            <button id="btnConsultarPrecoFS" class="btn btn-primary btn-sisp mb-2" type="button">
                                <span class="fas fa-expand"></span> Tela Cheia
                            </button>
                            <button id="btnAbrirConsultaEstoque" class="btn btn-warning btn-sisp mb-2" type="button">
                                <span class="m-0 p-0 fas fa-search"></span> Consulta Estoque
                            </button>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-12">
                            <div class="card">
                                <div class="modal-header">
                                    <div class="card-body">
                                        <div class="row">
                                            <div class="col-12 col-sm-12">
                                                <div class="card">
                                                    <div class="card-body">
                                                        <div class="row">
                                                            <h5>Lista de Produtos</h5>
                                                            <div class="col-12 table-responsive">
                                                                <table id="tabelaProduto" class="table table-sm table-select table-hover display" width="100%">
                                                                    <thead>
                                                                        <tr>
                                                                            <th class="th-sm">Código
                                                                            </th>
                                                                            <th class="th-sm">Descrição
                                                                            </th>
                                                                        </tr>
                                                                    </thead>
                                                                    <tbody></tbody>
                                                                </table>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </section>

            <!-- /.content -->
            <div class="modal" id="modal-filtros">
                <div class="modal-dialog modal-xl">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h4 class="modal-title">Filtros
                                <label style="font-size: 60%" class="container escondeRadio">
                                    <input type="radio" checked="checked" id="radioProduto" name="tipoFat">
                                    <span class="checkmark"></span>
                                     Produto</label>
                                <label style="font-size: 60%; margin-left: -2.5%" class="container escondeRadio">
                                    <input type="radio" id="radioMaterial" name="tipoFat">
                                    <span class="checkmark"></span>
                                     Material</label>
                            </h4>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body" id="modal-conteudo">
                            <form id="msform2" name="msform2">
                                <div class="row">
                                    <div class="col-lg-6  col-12" id="tabelaInfoTour">
                                        <label data-error="wrong" data-success="right" for="txtTabPreco">Tabela</label>
                                        <div class="input-group">
                                            <input type="text" class="input-default focus form-control" id="txtTabPreco" name="txtTabPreco" class="form-control" placeholder="Tabela">
                                            <div class="input-group-append">
                                                <button class="btn bg-danger" id="btn-tabpreco-filtro" name="btn-tabpreco-filtro" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                                <button class="btn bg-danger" id="btn-limpa-tabela" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-lg-6  col-12">
                                        <label data-error="wrong" data-success="right" for="txtDeposito">Depósito</label>
                                        <div class="input-group">
                                            <input type="text" class="input-default focus form-control" id="txtDeposito" name="txtDeposito" class="form-control" placeholder="Depósito">
                                            <div class="input-group-append">
                                                <button class="btn bg-danger" id="btn-deposito-filtro" name="btn-deposito-filtro" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                                <button class="btn bg-danger" id="btn-limpa-deposito" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-12">
                                        <label data-error="wrong" data-success="right" id="lblProduto" for="txtProduto">Produto</label>
                                        <div class="input-group">
                                            <input type="text" class="input-default focus form-control" id="txtProduto" name="txtProduto" class="form-control" placeholder="Produto">
                                            <div class="input-group-append">
                                                <button class="btn bg-danger" id="btn-produto-filtro" name="btn-produto-filtro" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                                <button class="btn bg-danger" id="btn-limpa-produto" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-12">
                                        <label data-error="wrong" data-success="right" for="txtBarra">Barra</label>
                                        <div class="input-group">
                                            <input type="text" class="input-default focus form-control" id="txtBarra" name="txtBarra" class="form-control" placeholder="Barra">
                                            <div class="input-group-append">
                                                <button class="btn bg-danger" id="btnCameraPreco" type="button"><i class="m-0 p-0 fas fa-camera"></i></button>
                                                <button class="btn bg-danger" id="btn-limpa-barra" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                            </form>
                        </div>
                        <div class="modal-footer">
                            <button id="btnConsultar" class="btn btn-primary btn-sisp float-right focus" type="button">
                                <span class="fas fa-search"></span> Consultar
                            </button>
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal" id="modalItens">
                <div class="modal-dialog modal-xl">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h4 class="modal-title">Itens</h4><span style="font-size:12px; margin-left:75%; margin-top:4px;">Aperte F2 para sair do modo tela cheia.</span>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close" id="btnFecharModal">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body" id="modal-conteudo">
                            <form id="msform" name="msform">
                                <div class="row">
                                    <div class="col-sm-12 col-12">
                                        <div class="card">
                                            <div class="row d-flex justify-content-between" style="margin-top:0.5%">
                                                <div class="col-sm-6" style="height: 1px">
                                                    <h5 style="margin-left:2%;margin-top:1%">Estoque e Preço</h5>
                                                </div>
                                                <div class="col-sm-4" style="margin-right:0.7%">
                                                    <input type="text" class="input-default focus form-control" id="txtBarraRapida" name="txtBarraRapida" class="form-control" placeholder="Consulta rápida barra">
                                                </div>
                                            </div>
                                            <div class="row d-flex justify-content-between" style="margin-top:1%">
                                                <div class="col-lg-8 row" style="padding-left:3%">
                                                    <div class="info-box mb-3 row" style="background-color: var(--blue-color)!important;height: 120px">
                                                        <span class="info-box-icon"><i class="fas fa-file-alt text-white"></i></span>
                                                        <div class="info-box-content ">
                                                            <span class="info-box-text text-white" style="height: 30px;font-size:20px">DESCRIÇÃO</span>
                                                            <span id="txtDescProduto" class="info-box-number text-white" style="font-size:22px;line-height:1.0"></span>
                                                        </div>
                                                        <span class="info-box-icon"><i class="fas fa-sort-amount-up-alt text-white"></i></span>
                                                        <div class="info-box-content">
                                                            <span class="info-box-text text-white" style="height: 30px;font-size:25px;">QTDE</span>
                                                            <b style="margin-top: 2.3%;"><span id="txtQtdeProduto" class="info-box-number1 text-white" style="font-size:35px;align-items:center">0</span></b>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="col-lg-4 row" style="margin-right:0.1%">
                                                    <div class="info-box mb-3 row" style="background-color: var(--blue-color)!important">
                                                        <div class="info-box-content ">
                                                            <span class="info-box-text text-white" style="height: 40px;font-size:25px">PREÇO (R$)</span>
                                                            <span id="txtPrecoProduto" class="info-box-number text-white" style="font-size:63px;height: 40px">&nbsp;0,00</span>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="card-body col-lg-8" style="margin-top:-2%">
                                                    <div class="row">
                                                        <div class="col-12 table-responsive">
                                                            <table id="tabelaItens" class="table table-sm table-select table-hover display" width="100%">
                                                                <tbody></tbody>
                                                            </table>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="col-lg-4" style="margin-top:0.5%">
                                                    <div class="info-box mb-3 row" style="background-color: var(--blue-color)!important">
                                                        <div id="divImg">
                                                            <label class="labelGeral text-white" data-success="right" for="imgProd">Imagem do produto</label>
                                                            <div class="d-flex justify-content-center" id="bordaImagem">
                                                                <img class="pop img img-fluid imagem" id="infoprodimagem" src="./dist/img/prod-1.png">
                                                                </label>
                                                            </div>
                                                            <div class="input-group-append" class="upload-imagem" style="margin-left: 35%; margin-top: .5%">
                                                                <input type="file" value="" class="upload" style="display: none;" name="fileimagem" id="fileimagem" />
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal fade" id="modalCamera" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
                <div class="modal-dialog modal-xl">
                    <div class="modal-content">
                        <div class="modal-body">
                            <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
                            <div id="camera">
                                <h1>Leitor Código de Barras</h1>
                                <div>
                                    <div data-barcode-canvas class="barcode-canvas" id="cam"></div>
                                    <div data-barcode-msg class="barcode-message"></div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal" id="modalConsultaEstoque" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
                <div class="modal-dialog modal-xl">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h4 id="modalConsultaEstoque-titulo" class="modal-title">Consultar Estoque das Lojas</h4>
                            <div class="mt-2">
                                <label style="font-size: 120%" class="container escondeRadio">
                                    <input type="radio" checked="checked" id="radioProdutoC" name="tipoConsulta">
                                    <span class="checkmark"></span>
                                     Produto</label>
                                <label style="font-size: 120%; margin-left: -2.5%" class="container escondeRadio">
                                    <input type="radio" id="radioMaterialC" name="tipoConsulta">
                                    <span class="checkmark"></span>
                                     Material</label>
                            </div>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <hr>
                        <div class="modal-body">

                            <div class="card">
                                <div class="card-body">
                                    <div class="row">
                                        <div class="col-6">
                                            <label data-error="wrong" data-success="right" for="txtDepositoConsultaEstoque">Depósito</label>
                                            <div class="input-group">
                                                <input type="text" data-selecionado="false" class="input-default focus form-control" id="txtDepositoConsultaEstoque" name="txtDepositoConsultaEstoque" class="form-control" placeholder="Depósito">
                                                <div class="input-group-append">
                                                    <button class="btn bg-danger" id="btn-DepositoConsultaEstoque" name="btn-DepositoConsultaEstoque" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                                    <button class="btn bg-danger" id="btn-limpa-DepositoConsultaEstoque" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-6">
                                            <label data-error="wrong" data-success="right" id="labelProduto" for="txtProdutoConsultaEstoque">Produto</label>
                                            <div class="input-group">
                                                <input type="text" class="input-default focus form-control" id="txtProdutoConsultaEstoque" name="txtProdutoConsultaEstoque" class="form-control" placeholder="Produto">
                                                <div class="input-group-append">
                                                    <button class="btn bg-danger" id="btn-ProdutoConsultaEstoque" name="btn-ProdutoConsultaEstoque" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                                    <button class="btn bg-danger" id="btn-limpa-ProdutoConsultaEstoque" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-12">
                                            <label data-error="wrong" data-success="right" for="txtGrupoConsultaEstoque">Grupo</label>
                                            <div class="input-group">
                                                <input type="text" data-selecionado="false" class="input-default focus form-control" id="txtGrupoConsultaEstoque" name="txtGrupoConsultaEstoque" class="form-control" placeholder="Grupo">
                                                <div class="input-group-append">
                                                    <button class="btn bg-danger" id="btn-GrupoConsultaEstoque" name="btn-GrupoConsultaEstoque" data-button="absolute" type="button"><i class="m-0 p-0 fas fa-search"></i></button>
                                                    <button class="btn bg-danger" id="btn-limpa-GrupoConsultaEstoque" type="button"><i class="m-0 p-0 fas fa-trash"></i></button>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-sm-12 d-flex align-items-center justify-content-end" style="margin-top: 15px">
                                            <button id="btnImprimir" class="btn-sisp btn btn-danger mr-1"><i class="fas fa-print"></i> Imprimir</button>
                                            <button type="button" id="btnConsultarEstoque" class="btn btn-danger"><i class="m-0 p-0 fas fa-search"></i> Consultar</button>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-12 table-responsive">
                                            <table id="tabelaProdutosConsultaEstoque" style="width:100%; margin-top: 20px" width="100%" class="table table-sm table-select table-hover">
                                                <thead>
                                                    <tr>
                                                    </tr>
                                                </thead>
                                                <tbody></tbody>
                                            </table>
                                        </div>
                                        <!-- </div>
                                    <div class="row">
                                        <div class="col-12" style="margin-top: 15px;">
                                            <div class="d-flex align-items-center justify-content-end">
                                                <span class="info-box-icon"><i class="fas fa-box-open text-white" style="font-size: 25px; margin-right: 5px; margin-top: 5px;"></i></span>
                                                <div class="info-box-content ">
                                                    <input type="number" name="txtQuantidadeItem" id="txtQuantidadeItem" class="form-control" data-bs-toggle="tooltip" title="Quantidade total de peças Bipadas" readonly>
                                                </div>
                                            </div>
                                        </div>
                                    </div> -->
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <aside class="control-sidebar control-sidebar-dark">=
            </aside>
        </div>
        <script src="https://code.jquery.com/jquery-3.5.1.min.js" integrity="sha256-9/aliU8dGd2tb6OSsuzixeV4y/faTqgFtohetphbbj0=" crossorigin="anonymous"></script>

        <script type="text/javascript" src="dist/js/jquery.dataTables.js?versao=3.232.21.1"></script>

        <script type="text/javascript" src="dist/js/dataTables.bootstrap4.min.js?versao=3.232.21.1"></script>
        <script src="dist/js/dataTables.keyTable.js?versao=3.232.21.1"></script>
        <script src="plugins/jquery-ui/jquery-ui.min.js?versao=3.232.21.1"></script>
        <script>
            $.widget.bridge('uibutton', $.ui.button);
        </script>
        <script src="plugins/bootstrap/js/bootstrap.bundle.min.js?versao=3.232.21.1"></script>
        <script src="dist/js/adminlte.min.js?versao=3.232.21.1"></script>
        <script type="text/javascript" src="dist/js/sum().js?versao=3.232.21.1"></script>
        <script src="dist/js/sisplan.js?versao=3.232.21.1"></script>
        <script src="plugins/toastr/toastr.min.js?versao=3.232.21.1"></script>
        <script src="dist/js/requisicoes.js?versao=3.232.21.1"></script>
        <script src="utils/funcoes.js?versao=3.232.21.1"></script>
        <script src="dist/js/loadingoverlay.min.js?versao=3.232.21.1"></script>
        <script src="utils/cookies.js?versao=3.232.21.1"></script>
        <script src="dist/js/driver.min.js?versao=3.232.21.1"></script>
        <script type="text/javascript" src="config.js?versao=3.232.21.1"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-scrollTo/2.1.3/jquery.scrollTo.min.js"></script>
        <script src="dist/js/quagga.min.js?versao=3.228.16.3"></script>
        <script src="dist/js/instascan.min.js?versao=3.228.16.3"></script>
        <script>
            $(document).ready(async function() {
                if (getCookie('usuario') == "") {
                    window.location.href = `${BASE_URI}/login`;
                    return;
                }

                let usuario = getCookie('usuario');
                let empresa = getCookie('empresa');

                ipInterno = IP_INTERNO;
                ipExterno = IP_EXTERNO;
                basicAuth = BASIC_AUTH;

                const temAcesso = await temAcessoTela('PRECO_LOJA');
                if (!temAcesso.resultado) {
                    toastrAcesso(temAcesso, BASE_URI);
                    return;
                }

                sArquivo = `${BASE_URI}/pages/preco/consulta_preco/consulta_preco.js?versao=3.232.21.1`;
                insereJavaScriptPagina(sArquivo);

            });
        </script>

        <?php
        include_once('../../../footer.php');
        // include_once('../../loja/modais/modal_consultaestoque.php');
        ?>


</body>

</html>