<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>Sisplan Web | Regra de Promoção
  </title>
  <!-- Tell the browser to be responsive to screen width -->
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="../plugins/fontawesome-free/css/all.min.css?versao=3.232.21.1">

  <!-- Theme style -->
  <link rel="stylesheet" href="../dist/css/adminlte.min.css?versao=3.232.21.1">
  <link rel="stylesheet" href="../dist/css/custom.css?versao=3.232.21.1">
  <link rel="stylesheet" href="../dist/css/sisplan.css?versao=3.232.21.1">
  <link rel="stylesheet" type="text/css" href="../plugins/datatables-keytable/css/keyTable.bootstrap4.min.cs?versao=3.232.21.1s">
  <!-- Toastr -->
  <link rel="stylesheet" href="../plugins/toastr/toastr.min.css?versao=3.232.21.1">
  <link rel="stylesheet" href="../plugins/fontawesome-free/css/all.min.css?versao=3.232.21.1">
  <link rel="shortcut icon" href="../favicon.ico">
  <link rel="stylesheet" type="text/css" href="../dist/css/driver.min.css?versao=3.232.21.1" />
  <link rel="stylesheet" href="../dist/css/jquery-ui.css?versao=3.232.21.1">
  <!-- Google Font: Source Sans Pro -->
  <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">
  <link rel="stylesheet" href="../plugins/select2/css/select2.min.css?versao=2.1.7">
  <link rel="stylesheet" href="../plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css?versao=2.1.7">
  <link rel="stylesheet" href="../plugins/icheck-bootstrap/icheck-bootstrap.min.css?versao=3.227.20.1">


</head>
<style>
  #msform {
    text-align: start;
    position: relative;
  }

  .card {
    box-shadow: none !important;
    border-radius: 0 !important;
    margin-bottom: 0 !important;
  }

  .card-header {
    box-shadow: 0px 1px rgb(0 0 0 / 20%) !important;
  }


  .fa-angle-right,
  .fa-angle-down {
    color: #343a40;
  }

  .card-body {
    margin-left: 0px !important;
    padding-left: 1.25rem !important;
    padding-top: 0px;
    padding-bottom: 0px;
    padding-right: 1.25rem !important;
  }

  .header-content-page .title-page,
  .title-content-page .title,
  .title-page {
    font-size: 20px;
    line-height: normal;
    font-weight: 500;
    color: #343a40;
    margin: 0;
    font-family: Roboto, Arial, sans-serif;
  }

  #DadosGerais>.card,
  #obs>.card {
    background: #f7f7f7;
  }

  .radiosStyle {
    padding-top: 0.5rem;
    border: solid #e0e4e6;
    border-radius: 4px;
    border-width: 2px;
    margin-left: 0%;
  }

  .radiosStyle2 {
    padding-top: 0.5rem;
    border: solid #e0e4e6;
    border-radius: 4px;
    border-width: 2px;
  }

  .bordaProduto {
    padding: 10px;
    border: solid #e0e4e6;
    border-radius: 4px;
    border-width: 2px;
  }
  .select2-container--default .select2-selection--multiple .select2-selection__rendered {
    float: left;
  }
  
</style>

<body class="hold-transition sidebar-mini layout-fixed">

  <script type="text/javascript" src="../config.js"></script>
  <main class="wrapper">

    <?php
    include_once('../../../menu.php');
    ?>

    <div class="content-wrapper">
      <div class="content-header">
        <div class="container-fluid">
          <div class="row mb-2">
            <div class="col-sm-6">
              <h3 class="col-mb=2"></h3>
            </div>
            <div class="col-sm-6">
              <ol class="breadcrumb float-sm-right">
                <li class="breadcrumb-item"><a href="./index">Início</a></li>
                <li class="breadcrumb-item"><a href="../regrapromocao">Regra de Promoção</a></li>
                <li class="breadcrumb-item active">Cadastro Regra de Promoção</li>
              </ol>
            </div>
          </div>
          <div class="row">
            <div class="col-12">
              <div class="card" style="height:auto;">
                <div class="card-header bg-dark">
                  <div class="row flex">
                    <h4 class="text-white">Cadastro de Regra de Promoção </h4>
                    <button title="Tutorial" class="btn btn-info btn-sm ml-2" id="tutorial">
                      <i class="fas fa-question-circle"></i>
                    </button>
                  </div>
                </div>
                <fieldset>
                  <div class="card-body" style="padding-left: 0rem!important; padding-right: 0rem!important;">
                    <form id="msform" name="msform">
                      <div class="collapse show" id="DadosGerais">
                        <div class="card card-body" style="padding-top: 10px;">
                          <div class="tab-pane fade show active" role="tabpanel" aria-labelledby="dados-tab">
                            <label for="divGeral">Dados Regra</label>
                            <div class="form-row bordaProduto" id="divGeral">
                              <div class="col-md-8 col-12">
                                <div class="form-row">
                                  <div class="form-group col-md-6 col-12" id="codigoInfoTour">
                                    <label for="txtCodigo">Código *</label>
                                    <div class="relative">
                                      <input type="text" autocomplete="off" readonly placeholder="Preenchimento automático" class="input-default focus form-control validate" pattern="[0-9]+$" id="txtCodigo" name="txtCodigo">
                                    </div>
                                  </div>
                                  <div class="form-group col-md-6 col-12" id="descricaoInfoTour">
                                    <label for="txtDescricao">Descrição *</label>
                                    <div class="relative">
                                      <input type="text" autocomplete="off" placeholder="Descrição" class="input-default focus form-control validate" required="required" pattern="[0-9]+$" id="txtDescricao" name="txtDescricao">
                                    </div>
                                  </div>
                                </div>
                                <div class="form-row">
                                  <div class="col-12 col-lg-12">
                                    <label for="txtTabelaPreco">Tabela de Preço *</label>
                                    <div class="input-group">
                                      <input type="text" class="input-default focus form-control" aria-describedby="ufError" id="txtTabelaPreco" name="txtTabelaPreco" class="form-control" placeholder="Tabela de preço">
                                      <div class="input-group-append">
                                        <button class="btn bg-danger" id="btnTabelaPreco" name="btnTabelaPreco" data-button="absolute" type="button">
                                          <i class="m-0 p-0 fas fa-search"></i>
                                        </button>
                                        <button class="btn bg-danger" id="btnATabelaPreco" type="button">
                                          <i class="m-0 p-0 fas fa-trash"></i>
                                        </button>
                                      </div>
                                    </div>
                                  </div>
                                </div>
                                <div class="form-row" style="margin-top: 2%">
                                  <div class="col-lg-6  col-12 form-group">
                                    <label data-error="wrong" class="labelGeral" data-success="right" for="dataIni">Data
                                      inicial *</label>
                                    <div class="input-group">
                                      <input type="date" max="2500-12-31" class="input-default focus form-control" id="dataIni" name="dataIni" class="form-control">
                                    </div>
                                  </div>
                                  <div class="col-lg-6  col-12 form-group">
                                    <label data-error="wrong" class="labelGeral" data-success="right" for="dataFim">Data
                                      final *</label>
                                    <div class="input-group">
                                      <input type="date" max="2500-12-31" class="input-default focus form-control" id="dataFim" name="dataFim" class="form-control">
                                    </div>
                                  </div>
                                </div>

                                <div class="form-row d-none">
                                  <div class="col-lg-6  col-12 form-group">
                                    <div class="labelDep">
                                      <b>
                                        <p class="labelGeral">Preço</p>
                                      </b>
                                      <div style="margin-top: -3.5%" class="radiosStyle">
                                        <label class="container">
                                          <input type="radio" id="checkTodos" checked name="preco">
                                          <label for="checkTodos">   Todos</label>
                                          <span class="checkmark"></span>
                                        </label>
                                        <br>
                                        <label class="container">
                                          <input type="radio" id="checkPreco" name="preco">
                                          <label for="checkPreco">   Com preço</label>
                                          <span class="checkmark"></span>
                                        </label>
                                        <br>
                                      </div>
                                    </div>
                                  </div>
                                </div>
                              </div>
                              <div class="col-md-4 col-12 table-responsive  mt-4">
                                <table id="tabela-empAcesso" class="table table-sm table-hover table-select table-condensed">
                                  <thead>
                                    <tr>
                                      <th>Sel</th>
                                      <th>Empresa</th>
                                    </tr>
                                  </thead>
                                  <tbody>
                                  </tbody>
                                </table>
                              </div>
                            </div>

                            <label for="divBusca" style="margin-top: 25px;">Buscar Produto</label>
                            <div class="form-row bordaProduto" id="divBusca">
                              <div class="form-group col-md-4 col-12">
                                <label for="selectConsiderar">Descrição do produto</label>
                                <div class="relative">
                                  <select id="selectConsiderar" class="input-default focus form-control validate" required="required" name="selectConsiderar">
                                    <option value="1" selected>Considerar</option>
                                    <option value="0">Desconsiderar</option>
                                  </select>
                                </div>
                              </div>
                              <div class="form-group col-md-4 col-12" id="descricaoProdInfoTour">
                                <label for="txtDescricaoProduto">Descrição</label>
                                <div class="relative">
                                  <input type="text" autocomplete="off" placeholder="Descrição produto" class="input-default focus form-control validate" pattern="[0-9]+$" id="txtDescricaoProduto" name="txtDescricaoProduto">
                                </div>
                              </div>
                              <div class="form-group col-md-2 col-12" id="descricaoProdInfoTour">
                                <label for="txtPrecoProduto">Preço</label>
                                <div class="relative">
                                  <input type="text" value="0.00" class="input-default focus form-control validate" placeholder="Preço" pattern="[0-9]+$" id="txtPrecoProduto" name="txtPrecoProduto">
                                </div>
                              </div>
                              <div class="form-group col-md-2 col-12" id="descricaoProdInfoTour" style="padding-top: 29px">
                                <button class="btn bg-danger btn-block" id="btnCarregar" name="btnCarregar" data-button="absolute" type="button">
                                  <label class="m-0 p-0">Carregar</label>
                                </button>
                              </div>
                            </div>

                            <label for="divProduto" style="margin-top: 25px;">Incluir produto</label>
                            <div class="form-row bordaProduto" id="divProduto">
                              <div class="row mb-2" style="width: 100%;">
                                <div class="col-12 col-lg-4">
                                  <div class="input-group">
                                    <!-- <input type="text" class="input-default focus form-control" aria-describedby="ufError" id="txtProduto" name="txtProduto" class="form-control" placeholder="Produto"> -->
                                    <select class="js-example-programmatic js-states form-control" id="txtProduto" name="txtProduto" multiple="multiple">
                                    </select>
                                    <div class="input-group-append" style="align-self: baseline;">
                                      <button class="btn bg-danger" id="btnProduto" name="btnProduto" data-button="absolute" type="button">
                                        <i class="m-0 p-0 fas fa-search"></i>
                                      </button>
                                      <button class="btn bg-danger" id="btnAProduto" type="button">
                                        <i class="m-0 p-0 fas fa-trash"></i>
                                      </button>
                                    </div>
                                  </div>
                                </div>
                                <div class="col-12 col-lg-4">
                                  <div class="input-group">
                                    <input type="text" class="input-default focus form-control" aria-describedby="ufError" id="txtColecao" name="txtColecao" class="form-control" placeholder="Coleção">
                                    <div class="input-group-append">
                                      <button class="btn bg-danger" id="btnColecao" name="btnColecao" data-button="absolute" type="button">
                                        <i class="m-0 p-0 fas fa-search"></i>
                                      </button>
                                      <button class="btn bg-danger" id="btnAColecao" type="button">
                                        <i class="m-0 p-0 fas fa-trash"></i>
                                      </button>
                                    </div>
                                  </div>
                                </div>
                                <div class="col-12 col-lg-4">
                                  <div class="input-group">
                                    <input type="text" class="input-default focus form-control" aria-describedby="ufError" id="txtSubColecao" name="txtSubColecao" class="form-control" placeholder="Sub-Coleção">
                                    <div class="input-group-append">
                                      <button class="btn bg-danger" id="btnSubColecao" name="btnSubColecao" data-button="absolute" type="button">
                                        <i class="m-0 p-0 fas fa-search"></i>
                                      </button>
                                      <button class="btn bg-danger" id="btnASubColecao" type="button">
                                        <i class="m-0 p-0 fas fa-trash"></i>
                                      </button>
                                    </div>
                                  </div>
                                </div>
                              </div>
                              <div class="row mb-2" style="width: 100%;">
                                <div class="col-12 col-lg-4">
                                  <div class="d-flex justify-content-center radiosStyle2">
                                    <input type="radio" id="checkDescPromo" checked name="tipoPromo">
                                    <label for="checkDescPromo">  % Desc     </label>
                                    <input type="radio" id="checkValorPromo" name="tipoPromo">
                                    <label for="checkValorPromo">  Valor</label>
                                  </div>
                                </div>
                                <div class="col-12 col-lg-4">
                                  <div class="relative">
                                    <input type="text" placeholder="% Desc/Valor" class="input-default focus form-control validate" id="txtValorAdd" name="txtDescricaoProduto">
                                  </div>
                                </div>
                                <div class="col-12 col-lg-2">
                                  <button class="btn bg-danger btn-block" id="btnRemover" name="btnRemover" data-button="absolute" type="button">
                                    <label class="m-0 p-0">Remover</label>
                                  </button>
                                </div>
                                <div class="col-12 col-lg-2">
                                  <button class="btn bg-danger btn-block" id="btnIncluir" name="btnIncluir" data-button="absolute" type="button">
                                    <label class="m-0 p-0">Incluir</label>
                                  </button>
                                </div>
                              </div>
                              <div class="col-md-12 col-12 table-responsive  mt-12">
                                <table id="tabela-produtos" class="table table-sm table-hover table-select table-condensed">
                                  <thead>
                                    <!-- <tr>
                                      <th>Código</th>
                                      <th>Descrição</th>
                                      <th>Operação</th>
                                      <th>Preço</th>
                                      <th>Valor</th>
                                      <th>Excluir</th>
                                    </tr> -->
                                  </thead>
                                  <tbody>
                                  </tbody>
                                </table>
                              </div>
                            </div>

                            <label for="tipos" style="margin-top: 25px;">Adiciona Promoção</label>
                            <div class="form-row bordaProduto" id="tipos">
                              <div class="col-12 col-lg-4">
                                <label for="divTipo">Tipo</label>
                                <div class="d-flex justify-content-center radiosStyle2" id="divTipo">
                                  <input type="radio" id="checkValorTabela" checked name="tipoValor">
                                  <label for="checkValorTabela">  Valor     </label>
                                  <input type="radio" id="checkQuantidade" name="tipoValor">
                                  <label for="checkQuantidade">  Quantidade</label>
                                </div>
                              </div>

                              <div class="col-12 col-lg-3">
                                <label for="txtValorPromo" id="htmlValor">Valor</label>
                                <input type="text" placeholder="Valor" value="0.00" class="input-default focus form-control validate" id="txtValorPromo" name="txtDescricaoProduto">
                              </div>
                              <div class="col-12 col-lg-3">
                                <label for="txtDescontoPromo">% Desconto</label>
                                <input type="text" placeholder="% Desconto" value="0.00" maxlength="5" class="input-default focus form-control validate" id="txtDescontoPromo" name="txtDescricaoProduto">
                              </div>
                              <div class="col-12 col-lg-2" style="padding-top: 29px">
                                <button class="btn bg-danger btn-block" id="btnIncluirPromo" name="btnIncluirPromo" data-button="absolute" type="button">
                                  <label class="m-0 p-0">Incluir</label>
                                </button>
                              </div>
                              <div class="col-md-12 col-12 table-responsive  mt-12" style="margin-top: 5px">
                                <table id="tabela-promo" class="table table-sm table-hover table-select table-condensed">
                                  <thead>
                                    <tr>
                                      <th>Ordem</th>
                                      <th>Valor</th>
                                      <th>% Desconto</th>
                                      <th>Excluir</th>
                                    </tr>
                                  </thead>
                                  <tbody>
                                  </tbody>
                                </table>
                              </div>
                            </div>

                          </div>
                        </div>
                        <button id="btnGravar" type="submit" style="font-size:15px;" class="btn btn-danger btn-sisp action-button mr-3" value="Gravar">Gravar</button>
                        <button type="button" id="btnVoltar" style="font-size:15px;" class="btn btn-success btn-sisp action-button-previous" data-dismiss="modal">Voltar</button>
                      </div>
                    </form>
                  </div>
                </fieldset>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>

    <!-- Control Sidebar -->
    <aside class="control-sidebar control-sidebar-dark">
      <!-- Control sidebar content goes here -->
    </aside><!-- /.control-sidebar -->
    <?php
    include_once('../../../footer.php');
    ?>
    <?php include_once('../../../menu_fiscal.php'); ?>
  </main>

  <script src="../plugins/jquery/jquery.min.js?versao=3.232.21.1"></script>
  <script src="../dist/js/jquery.maskMoney.min.js?versao=3.232.21.1"></script>
  <script src="../plugins/jquery-ui/jquery-ui.min.js?versao=3.232.21.1"></script>
  <script type="text/javascript" src="../dist/js/jquery.dataTables.js?versao=3.232.21.1"></script>
  <script type="text/javascript" src="../dist/js/dataTables.bootstrap4.min.js?versao=3.232.21.1"></script>
  <script src="../plugins/sweetalert2/sweetalert2.min.js?versao=3.232.21.1"></script>
  <script src="../plugins/toastr/toastr.min.js?versao=3.232.21.1"></script>
  <script>
    $.widget.bridge('uibutton', $.ui.button);
  </script>
  <script src="../plugins/bootstrap/js/bootstrap.bundle.min.js?versao=3.232.21.1"></script>
  <script src="../dist/js/adminlte.min.js?versao=3.232.21.1"></script>
  <script src="../dist/js/requisicoes.js?versao=3.232.21.1"></script>
  <script src="../dist/js/loadingoverlay.min.js?versao=3.232.21.1"></script>
  <script src="../dist/js/valida_cpf_cnpj.js?versao=3.232.21.1"></script>
  <script src="../plugins/jquery-validation/jquery.validate.min.js?versao=3.232.21.1"></script>
  <script src="../dist/js/dataTables.keyTable.js?versao=3.232.21.1"></script>
  <script src="../dist/js/sisplan.js?versao=3.232.21.1"></script>
  <script src="../utils/funcoes.js?versao=3.232.21.1"></script>
  <script src="../utils/cookies.js?versao=3.232.21.1"></script>
  <script src="../dist/js/driver.min.js?versao=3.232.21.1"></script>
  <script src="../plugins/select2/js/select2.full.min.js?versao=2.1.7"></script>

  <script>
    $(document).ready(async function() {
      if (getCookie('usuario') == "") {
        window.location.href = `${BASE_URI}/login`;
        return;
      }

      let usuario = getCookie('usuario');
      let empresa = getCookie('empresa');

      ipInterno = IP_INTERNO;
      ipExterno = IP_EXTERNO;
      basicAuth = BASIC_AUTH;
      sArquivo = `${BASE_URI}/pages/regrapromocao/cadastro_regrapromocao/regrapromocao.js?versao=3.232.21.1`;
      const nomeTela = ('<?php echo basename(__FILE__) ?>').replace('.php', '');

      const temAcesso = await temAcessoTela('REGRA_PROMOCAO');
      if (!temAcesso.resultado) {
        toastrAcesso(temAcesso, BASE_URI);
        return;
      }

      const permissaoUsuarioLogado = await permissaoAcessos("REGRA_PROMOCAO");

      if (permissaoUsuarioLogado.INCLUI == 'N') {
        await criaMensagemErro("Sem permissão para incluir!", () => {
          window.location.href = `${BASE_URI}/regrapromocao`
        });
        return;
      }

      await insereJavaScriptPagina(sArquivo);

      habilitaCamposObrigatoriosTela(nomeTela);
    });
  </script>
</body>

</html>